define('docs/renderers/Nav.md', function(require, exports, module) {

  module.exports = {
    "html": "<h2><a class=\"anchor\" name=\"nav\" href=\"#nav\" aria-hidden=\"true\"><svg aria-hidden=\"true\" class=\"octicon octicon-link\" height=\"16\" version=\"1.1\" viewBox=\"0 0 16 16\" width=\"16\"><path d=\"M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z\"></path></svg></a>Nav</h2><table>\n<thead>\n<tr>\n<th>属性名</th>\n<th>类型</th>\n<th>默认值</th>\n<th>说明</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>type</td>\n<td><code>string</code></td>\n<td><code>&quot;tabs&quot;</code></td>\n<td>指定为 Nav 渲染器</td>\n</tr>\n<tr>\n<td>className</td>\n<td><code>string</code></td>\n<td></td>\n<td>外层 Dom 的类名</td>\n</tr>\n<tr>\n<td>stacked</td>\n<td><code>boolean</code></td>\n<td><code>true</code></td>\n<td>设置成 false 可以以 tabs 的形式展示</td>\n</tr>\n<tr>\n<td>source</td>\n<td><code>Api</code> 或 <code>string</code></td>\n<td></td>\n<td>动态拉取的 api 地址，也支持<code>${xxx}</code>获取变量</td>\n</tr>\n<tr>\n<td>links</td>\n<td><code>Array</code></td>\n<td></td>\n<td>链接集合</td>\n</tr>\n<tr>\n<td>links[x].label</td>\n<td><code>string</code></td>\n<td></td>\n<td>名称</td>\n</tr>\n<tr>\n<td>links[x].to</td>\n<td><code>string</code></td>\n<td></td>\n<td>链接地址</td>\n</tr>\n<tr>\n<td>links[x].icon</td>\n<td><code>string</code></td>\n<td></td>\n<td>图标</td>\n</tr>\n<tr>\n<td>links[x].active</td>\n<td><code>boolean</code></td>\n<td></td>\n<td>是否高亮</td>\n</tr>\n<tr>\n<td>links[x].activeOn</td>\n<td><code>表达式</code></td>\n<td></td>\n<td>是否高亮的条件，留空将自动分析链接地址</td>\n</tr>\n</tbody>\n</table>\n<p>链接集合。</p>\n<div class=\"amis-preview\" style=\"height: 500px\"><script type=\"text/schema\" height=\"500\" scope=\"body\">{\n    \"type\": \"nav\",\n    \"stacked\": true,\n    \"className\": \"w-md\",\n    \"links\": [\n        {\n            \"label\": \"Nav 1\",\n            \"to\": \"/docs/index\",\n            \"icon\": \"fa fa-user\",\n            \"active\": true\n        },\n\n        {\n            \"label\": \"Nav 2\",\n            \"to\": \"/docs/api\"\n        },\n\n        {\n            \"label\": \"Nav 3\",\n            \"to\": \"/docs/renderers\"\n        }\n    ]\n}\n</script></div>\n<div class=\"amis-preview\" style=\"height: 500px\"><script type=\"text/schema\" height=\"500\" scope=\"body\">{\n    \"type\": \"nav\",\n    \"stacked\": false,\n    \"links\": [\n        {\n            \"label\": \"Nav 1\",\n            \"to\": \"/docs/index\",\n            \"icon\": \"fa fa-user\"\n        },\n\n        {\n            \"label\": \"Nav 2\",\n            \"to\": \"/docs/api\"\n        },\n\n        {\n            \"label\": \"Nav 3\",\n            \"to\": \"/docs/renderers\"\n        }\n    ]\n}\n</script></div>\n<h2><a class=\"anchor\" name=\"source-%E8%BF%94%E5%9B%9E%E6%A0%BC%E5%BC%8F\" href=\"#source-%E8%BF%94%E5%9B%9E%E6%A0%BC%E5%BC%8F\" aria-hidden=\"true\"><svg aria-hidden=\"true\" class=\"octicon octicon-link\" height=\"16\" version=\"1.1\" viewBox=\"0 0 16 16\" width=\"16\"><path d=\"M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z\"></path></svg></a>source 返回格式</h2><pre><code class=\"lang-json\"><span class=\"token punctuation\">{</span>\n  <span class=\"token property\">\"status\"</span><span class=\"token operator\">:</span> <span class=\"token number\">0</span><span class=\"token punctuation\">,</span>\n  <span class=\"token property\">\"msg\"</span><span class=\"token operator\">:</span> <span class=\"token string\">\"\"</span><span class=\"token punctuation\">,</span>\n  <span class=\"token property\">\"data\"</span><span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span>\n    <span class=\"token punctuation\">{</span>\n      <span class=\"token property\">\"label\"</span><span class=\"token operator\">:</span> <span class=\"token string\">\"Nav 1\"</span><span class=\"token punctuation\">,</span>\n      <span class=\"token property\">\"to\"</span><span class=\"token operator\">:</span> <span class=\"token string\">\"/docs/index\"</span><span class=\"token punctuation\">,</span>\n      <span class=\"token property\">\"icon\"</span><span class=\"token operator\">:</span> <span class=\"token string\">\"fa fa-user\"</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n\n    <span class=\"token punctuation\">{</span>\n      <span class=\"token property\">\"label\"</span><span class=\"token operator\">:</span> <span class=\"token string\">\"Nav 2\"</span><span class=\"token punctuation\">,</span>\n      <span class=\"token property\">\"to\"</span><span class=\"token operator\">:</span> <span class=\"token string\">\"/docs/api\"</span>\n    <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n\n    <span class=\"token punctuation\">{</span>\n      <span class=\"token property\">\"label\"</span><span class=\"token operator\">:</span> <span class=\"token string\">\"Nav 3\"</span><span class=\"token punctuation\">,</span>\n      <span class=\"token property\">\"to\"</span><span class=\"token operator\">:</span> <span class=\"token string\">\"/docs/renderers\"</span>\n    <span class=\"token punctuation\">}</span>\n  <span class=\"token punctuation\">]</span>\n<span class=\"token punctuation\">}</span>\n</code></pre>\n<p>或者</p>\n<pre><code class=\"lang-json\"><span class=\"token punctuation\">{</span>\n  <span class=\"token property\">\"status\"</span><span class=\"token operator\">:</span> <span class=\"token number\">0</span><span class=\"token punctuation\">,</span>\n  <span class=\"token property\">\"msg\"</span><span class=\"token operator\">:</span> <span class=\"token string\">\"\"</span><span class=\"token punctuation\">,</span>\n  <span class=\"token property\">\"data\"</span><span class=\"token operator\">:</span> <span class=\"token punctuation\">{</span>\n    <span class=\"token property\">\"links\"</span><span class=\"token operator\">:</span> <span class=\"token punctuation\">[</span> <span class=\"token comment\">// 可选字段值：options, items, rows</span>\n      <span class=\"token punctuation\">{</span>\n        <span class=\"token property\">\"label\"</span><span class=\"token operator\">:</span> <span class=\"token string\">\"Nav 1\"</span><span class=\"token punctuation\">,</span>\n        <span class=\"token property\">\"to\"</span><span class=\"token operator\">:</span> <span class=\"token string\">\"/docs/index\"</span><span class=\"token punctuation\">,</span>\n        <span class=\"token property\">\"icon\"</span><span class=\"token operator\">:</span> <span class=\"token string\">\"fa fa-user\"</span>\n      <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n\n      <span class=\"token punctuation\">{</span>\n        <span class=\"token property\">\"label\"</span><span class=\"token operator\">:</span> <span class=\"token string\">\"Nav 2\"</span><span class=\"token punctuation\">,</span>\n        <span class=\"token property\">\"to\"</span><span class=\"token operator\">:</span> <span class=\"token string\">\"/docs/api\"</span>\n      <span class=\"token punctuation\">}</span><span class=\"token punctuation\">,</span>\n\n      <span class=\"token punctuation\">{</span>\n        <span class=\"token property\">\"label\"</span><span class=\"token operator\">:</span> <span class=\"token string\">\"Nav 3\"</span><span class=\"token punctuation\">,</span>\n        <span class=\"token property\">\"to\"</span><span class=\"token operator\">:</span> <span class=\"token string\">\"/docs/renderers\"</span>\n      <span class=\"token punctuation\">}</span>\n    <span class=\"token punctuation\">]</span>\n  <span class=\"token punctuation\">}</span>\n<span class=\"token punctuation\">}</span>\n</code></pre>\n\n\n<div class=\"m-t-lg b-l b-info b-3x wrapper bg-light dk\">文档内容有误？欢迎大家一起来编写，文档地址：<i class=\"fa fa-github\"></i><a href=\"https://github.com/baidu/amis/tree/master/docs/renderers/Nav.md\">/docs/renderers/Nav.md</a>。</div>",
    "toc": {
      "label": "目录",
      "type": "toc",
      "children": [
        {
          "label": "Nav",
          "fragment": "nav",
          "fullPath": "#nav",
          "level": 2
        },
        {
          "label": "source 返回格式",
          "fragment": "source-%E8%BF%94%E5%9B%9E%E6%A0%BC%E5%BC%8F",
          "fullPath": "#source-%E8%BF%94%E5%9B%9E%E6%A0%BC%E5%BC%8F",
          "level": 2
        }
      ],
      "level": 0
    }
  };

});
