var require, define;
(function () {
    var loadingMap = {};
    var factoryMap = {};
    var modulesMap = {};

    define = function (id, factory) {
        id = id.replace(/\.js$/i, '');
        factoryMap[id] = factory;

        var queue = loadingMap[id];
        if (queue) {
            for (var i = 0, n = queue.length; i < n; i++) {
                queue[i]();
            }
            delete loadingMap[id];
        }
    };

    require = function (id) {
        id = require.alias(id);

        var mod = modulesMap[id];
        if (mod) {
            return mod.exports;
        }

        var factory = factoryMap[id];
        if (!factory) {
            throw '[ModJS] Cannot find module `' + id + '`';
        }

        mod = modulesMap[id] = {
            exports: {}
        };

        var ret = (typeof factory === 'function') ? factory.apply(mod, [require, mod.exports, mod]) : factory;

        if (ret) {
            mod.exports = ret;
        }

        return mod.exports;
    };

    require.alias = function (id) {
        return id.replace(/\.js$/i, '');
    };

    require.timeout = 5000;

})(this);
/**! node_modules/monaco-editor/esm/vs/base/common/linkedList.js*/
define("node_modules/monaco-editor/esm/vs/base/common/linkedList",function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=e("node_modules/monaco-editor/esm/vs/base/common/iterator"),i=function(){function e(t){this.element=t,this.next=e.Undefined,this.prev=e.Undefined}return e.Undefined=new e(void 0),e}(),r=function(){function e(){this._first=i.Undefined,this._last=i.Undefined,this._size=0}return Object.defineProperty(e.prototype,"size",{get:function(){return this._size},enumerable:!0,configurable:!0}),e.prototype.isEmpty=function(){return this._first===i.Undefined},e.prototype.clear=function(){this._first=i.Undefined,this._last=i.Undefined,this._size=0},e.prototype.unshift=function(e){return this._insert(e,!1)},e.prototype.push=function(e){return this._insert(e,!0)},e.prototype._insert=function(e,t){var n=this,r=new i(e);if(this._first===i.Undefined)this._first=r,this._last=r;else if(t){var s=this._last;this._last=r,r.prev=s,s.next=r}else{var f=this._first;this._first=r,r.next=f,f.prev=r}this._size+=1;var o=!1;return function(){o||(o=!0,n._remove(r))}},e.prototype.shift=function(){if(this._first===i.Undefined)return void 0;var e=this._first.element;return this._remove(this._first),e},e.prototype._remove=function(e){if(e.prev!==i.Undefined&&e.next!==i.Undefined){var t=e.prev;t.next=e.next,e.next.prev=t}else e.prev===i.Undefined&&e.next===i.Undefined?(this._first=i.Undefined,this._last=i.Undefined):e.next===i.Undefined?(this._last=this._last.prev,this._last.next=i.Undefined):e.prev===i.Undefined&&(this._first=this._first.next,this._first.prev=i.Undefined);this._size-=1},e.prototype.iterator=function(){var e,t=this._first;return{next:function(){return t===i.Undefined?n.FIN:(e?e.value=t.element:e={done:!1,value:t.element},t=t.next,e)}}},e.prototype.toArray=function(){for(var e=[],t=this._first;t!==i.Undefined;t=t.next)e.push(t.element);return e},e}();t.LinkedList=r});
/**! node_modules/monaco-editor/esm/vs/base/common/functional.js*/
define("node_modules/monaco-editor/esm/vs/base/common/functional",function(e,n){"use strict";function o(e){var n,o=this,t=!1;return function(){return t?n:(t=!0,n=e.apply(o,arguments))}}Object.defineProperty(n,"__esModule",{value:!0}),n.once=o});
/**! node_modules/monaco-editor/esm/vs/base/common/linkedList.js*/
define("node_modules/monaco-editor/esm/vs/base/common/linkedList",function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=e("node_modules/monaco-editor/esm/vs/base/common/iterator"),i=function(){function e(t){this.element=t,this.next=e.Undefined,this.prev=e.Undefined}return e.Undefined=new e(void 0),e}(),r=function(){function e(){this._first=i.Undefined,this._last=i.Undefined,this._size=0}return Object.defineProperty(e.prototype,"size",{get:function(){return this._size},enumerable:!0,configurable:!0}),e.prototype.isEmpty=function(){return this._first===i.Undefined},e.prototype.clear=function(){this._first=i.Undefined,this._last=i.Undefined,this._size=0},e.prototype.unshift=function(e){return this._insert(e,!1)},e.prototype.push=function(e){return this._insert(e,!0)},e.prototype._insert=function(e,t){var n=this,r=new i(e);if(this._first===i.Undefined)this._first=r,this._last=r;else if(t){var s=this._last;this._last=r,r.prev=s,s.next=r}else{var f=this._first;this._first=r,r.next=f,f.prev=r}this._size+=1;var o=!1;return function(){o||(o=!0,n._remove(r))}},e.prototype.shift=function(){if(this._first===i.Undefined)return void 0;var e=this._first.element;return this._remove(this._first),e},e.prototype._remove=function(e){if(e.prev!==i.Undefined&&e.next!==i.Undefined){var t=e.prev;t.next=e.next,e.next.prev=t}else e.prev===i.Undefined&&e.next===i.Undefined?(this._first=i.Undefined,this._last=i.Undefined):e.next===i.Undefined?(this._last=this._last.prev,this._last.next=i.Undefined):e.prev===i.Undefined&&(this._first=this._first.next,this._first.prev=i.Undefined);this._size-=1},e.prototype.iterator=function(){var e,t=this._first;return{next:function(){return t===i.Undefined?n.FIN:(e?e.value=t.element:e={done:!1,value:t.element},t=t.next,e)}}},e.prototype.toArray=function(){for(var e=[],t=this._first;t!==i.Undefined;t=t.next)e.push(t.element);return e},e}();t.LinkedList=r});
/**! node_modules/monaco-editor/esm/vs/base/common/functional.js*/
define("node_modules/monaco-editor/esm/vs/base/common/functional",function(e,n){"use strict";function o(e){var n,o=this,t=!1;return function(){return t?n:(t=!0,n=e.apply(o,arguments))}}Object.defineProperty(n,"__esModule",{value:!0}),n.once=o});
/**! node_modules/monaco-editor/esm/vs/base/common/event.js*/
define("node_modules/monaco-editor/esm/vs/base/common/event",function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=this&&this.__extends||function(){var e=function(t,n){return(e=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(t,n)};return function(t,n){function i(){this.constructor=t}e(t,n),t.prototype=null===n?Object.create(n):(i.prototype=n.prototype,new i)}}(),i=e("node_modules/monaco-editor/esm/vs/base/common/errors"),r=e("node_modules/monaco-editor/esm/vs/base/common/functional"),o=e("node_modules/monaco-editor/esm/vs/base/common/lifecycle"),s=e("node_modules/monaco-editor/esm/vs/base/common/linkedList");!function(e){function t(e){return function(t,n,i){void 0===n&&(n=null);var r,o=!1;return r=e(function(e){return o?void 0:(r?r.dispose():o=!0,t.call(n,e))},null,i),o&&r.dispose(),r}}function n(e,t){return a(function(n,i,r){return void 0===i&&(i=null),e(function(e){return n.call(i,t(e))},null,r)})}function i(e,t){return a(function(n,i,r){return void 0===i&&(i=null),e(function(e){t(e),n.call(i,e)},null,r)})}function r(e,t){return a(function(n,i,r){return void 0===i&&(i=null),e(function(e){return t(e)&&n.call(i,e)},null,r)})}function s(e){return e}function u(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return function(t,n,i){return void 0===n&&(n=null),o.combinedDisposable(e.map(function(e){return e(function(e){return t.call(n,e)},null,i)}))}}function c(e,t,i){var r=i;return n(e,function(e){return r=t(r,e)})}function a(e){var t,n=new f({onFirstListenerAdd:function(){t=e(n.fire,n)},onLastListenerRemove:function(){t.dispose()}});return n.event}function h(e,t,n,i,r){void 0===n&&(n=100),void 0===i&&(i=!1);var o,s=void 0,u=void 0,c=0,a=new f({leakWarningThreshold:r,onFirstListenerAdd:function(){o=e(function(e){c++,s=t(s,e),i&&!u&&a.fire(s),clearTimeout(u),u=setTimeout(function(){var e=s;s=void 0,u=void 0,(!i||c>1)&&a.fire(e),c=0},n)})},onLastListenerRemove:function(){o.dispose()}});return a.event}function p(e){var i=(new Date).getTime();return n(t(e),function(){return(new Date).getTime()-i})}function v(e){var t,n=!0;return r(e,function(e){var i=n||e!==t;return n=!1,t=e,i})}function l(e,t,n){void 0===t&&(t=!1),void 0===n&&(n=[]);var i=n.slice(),r=e(function(e){i?i.push(e):s.fire(e)}),o=function(){i&&i.forEach(function(e){return s.fire(e)}),i=null},s=new f({onFirstListenerAdd:function(){r||(r=e(function(e){return s.fire(e)}))},onFirstListenerDidAdd:function(){i&&(t?setTimeout(o):o())},onLastListenerRemove:function(){r&&r.dispose(),r=null}});return s.event}function d(e){return new w(e)}function _(e,t,n){void 0===n&&(n=function(e){return e});var i=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return s.fire(n.apply(void 0,e))},r=function(){return e.on(t,i)},o=function(){return e.removeListener(t,i)},s=new f({onFirstListenerAdd:r,onLastListenerRemove:o});return s.event}function m(e){var t=new f,n=!1;return e.then(void 0,function(){return null}).then(function(){n?t.fire(void 0):setTimeout(function(){return t.fire(void 0)},0)}),n=!0,t.event}function y(e){return new Promise(function(n){return t(e)(n)})}var L={dispose:function(){}};e.None=function(){return L},e.once=t,e.map=n,e.forEach=i,e.filter=r,e.signal=s,e.any=u,e.reduce=c,e.snapshot=a,e.debounce=h,e.stopwatch=p,e.latch=v,e.buffer=l;var w=function(){function e(e){this.event=e}return e.prototype.map=function(t){return new e(n(this.event,t))},e.prototype.forEach=function(t){return new e(i(this.event,t))},e.prototype.filter=function(t){return new e(r(this.event,t))},e.prototype.reduce=function(t,n){return new e(c(this.event,t,n))},e.prototype.latch=function(){return new e(v(this.event))},e.prototype.on=function(e,t,n){return this.event(e,t,n)},e.prototype.once=function(e,n,i){return t(this.event)(e,n,i)},e}();e.chain=d,e.fromNodeEventEmitter=_,e.fromPromise=m,e.toPromise=y}(t.Event||(t.Event={}));var u=-1,c=function(){function e(e,t){void 0===t&&(t=Math.random().toString(18).slice(2,5)),this.customThreshold=e,this.name=t,this._warnCountdown=0}return e.prototype.dispose=function(){this._stacks&&this._stacks.clear()},e.prototype.check=function(e){var t=this,n=u;if("number"==typeof this.customThreshold&&(n=this.customThreshold),0>=n||n>e)return void 0;this._stacks||(this._stacks=new Map);var i=(new Error).stack.split("\n").slice(3).join("\n"),r=this._stacks.get(i)||0;if(this._stacks.set(i,r+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=.5*n;var o,s=0;this._stacks.forEach(function(e,t){(!o||e>s)&&(o=t,s=e)}),console.warn("["+this.name+"] potential listener LEAK detected, having "+e+" listeners already. MOST frequent listener ("+s+"):"),console.warn(o)}return function(){var e=t._stacks.get(i)||0;t._stacks.set(i,e-1)}},e}(),f=function(){function e(e){this._disposed=!1,this._options=e,this._leakageMon=u>0?new c(this._options&&this._options.leakWarningThreshold):void 0}return Object.defineProperty(e.prototype,"event",{get:function(){var t=this;return this._event||(this._event=function(n,i,r){t._listeners||(t._listeners=new s.LinkedList);var o=t._listeners.isEmpty();o&&t._options&&t._options.onFirstListenerAdd&&t._options.onFirstListenerAdd(t);var u=t._listeners.push(i?[n,i]:n);o&&t._options&&t._options.onFirstListenerDidAdd&&t._options.onFirstListenerDidAdd(t),t._options&&t._options.onListenerDidAdd&&t._options.onListenerDidAdd(t,n,i);var c;t._leakageMon&&(c=t._leakageMon.check(t._listeners.size));var f;return f={dispose:function(){if(c&&c(),f.dispose=e._noop,!t._disposed&&(u(),t._options&&t._options.onLastListenerRemove)){var n=t._listeners&&!t._listeners.isEmpty();n||t._options.onLastListenerRemove(t)}}},Array.isArray(r)&&r.push(f),f}),this._event},enumerable:!0,configurable:!0}),e.prototype.fire=function(e){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new s.LinkedList);for(var t=this._listeners.iterator(),n=t.next();!n.done;n=t.next())this._deliveryQueue.push([n.value,e]);for(;this._deliveryQueue.size>0;){var r=this._deliveryQueue.shift(),o=r[0],u=r[1];try{"function"==typeof o?o.call(void 0,u):o[0].call(o[1],u)}catch(n){i.onUnexpectedError(n)}}}},e.prototype.dispose=function(){this._listeners&&this._listeners.clear(),this._deliveryQueue&&this._deliveryQueue.clear(),this._leakageMon&&this._leakageMon.dispose(),this._disposed=!0},e._noop=function(){},e}();t.Emitter=f;var a=function(e){function t(t){var n=e.call(this,t)||this;return n._isPaused=0,n._eventQueue=new s.LinkedList,n._mergeFn=t&&t.merge,n}return n(t,e),t.prototype.pause=function(){this._isPaused++},t.prototype.resume=function(){if(0!==this._isPaused&&0===--this._isPaused)if(this._mergeFn){var t=this._eventQueue.toArray();this._eventQueue.clear(),e.prototype.fire.call(this,this._mergeFn(t))}else for(;!this._isPaused&&0!==this._eventQueue.size;)e.prototype.fire.call(this,this._eventQueue.shift())},t.prototype.fire=function(t){this._listeners&&(0!==this._isPaused?this._eventQueue.push(t):e.prototype.fire.call(this,t))},t}(f);t.PauseableEmitter=a;var h=function(){function e(){var e=this;this.hasListeners=!1,this.events=[],this.emitter=new f({onFirstListenerAdd:function(){return e.onFirstListenerAdd()},onLastListenerRemove:function(){return e.onLastListenerRemove()}})}return Object.defineProperty(e.prototype,"event",{get:function(){return this.emitter.event},enumerable:!0,configurable:!0}),e.prototype.add=function(e){var t=this,n={event:e,listener:null};this.events.push(n),this.hasListeners&&this.hook(n);var i=function(){t.hasListeners&&t.unhook(n);var e=t.events.indexOf(n);t.events.splice(e,1)};return o.toDisposable(r.once(i))},e.prototype.onFirstListenerAdd=function(){var e=this;this.hasListeners=!0,this.events.forEach(function(t){return e.hook(t)})},e.prototype.onLastListenerRemove=function(){var e=this;this.hasListeners=!1,this.events.forEach(function(t){return e.unhook(t)})},e.prototype.hook=function(e){var t=this;e.listener=e.event(function(e){return t.emitter.fire(e)})},e.prototype.unhook=function(e){e.listener&&e.listener.dispose(),e.listener=null},e.prototype.dispose=function(){this.emitter.dispose()},e}();t.EventMultiplexer=h;var p=function(){function e(){this.buffers=[]}return e.prototype.wrapEvent=function(e){var t=this;return function(n,i,r){return e(function(e){var r=t.buffers[t.buffers.length-1];r?r.push(function(){return n.call(i,e)}):n.call(i,e)},void 0,r)}},e.prototype.bufferEvents=function(e){var t=[];this.buffers.push(t);var n=e();return this.buffers.pop(),t.forEach(function(e){return e()}),n},e}();t.EventBufferer=p;var v=function(){function e(){var e=this;this.listening=!1,this.inputEvent=t.Event.None,this.inputEventListener=o.Disposable.None,this.emitter=new f({onFirstListenerDidAdd:function(){e.listening=!0,e.inputEventListener=e.inputEvent(e.emitter.fire,e.emitter)},onLastListenerRemove:function(){e.listening=!1,e.inputEventListener.dispose()}}),this.event=this.emitter.event}return Object.defineProperty(e.prototype,"input",{set:function(e){this.inputEvent=e,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=e(this.emitter.fire,this.emitter))},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){this.inputEventListener.dispose(),this.emitter.dispose()},e}();t.Relay=v});
/**! node_modules/monaco-editor/esm/vs/editor/common/core/uint.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/core/uint",function(t,n){"use strict";function o(t){return 0>t?0:t>255?255:0|t}function r(t){return 0>t?0:t>4294967295?4294967295:0|t}function e(t){for(var n=t.length,o=new Uint32Array(n),e=0;n>e;e++)o[e]=r(t[e]);return o}Object.defineProperty(n,"__esModule",{value:!0});var i=function(){function t(t,n,o){for(var r=new Uint8Array(t*n),e=0,i=t*n;i>e;e++)r[e]=o;this._data=r,this.rows=t,this.cols=n}return t.prototype.get=function(t,n){return this._data[t*this.cols+n]},t.prototype.set=function(t,n,o){this._data[t*this.cols+n]=o},t}();n.Uint8Matrix=i,n.toUint8=o,n.toUint32=r,n.toUint32Array=e});
/**! node_modules/monaco-editor/esm/vs/editor/common/core/uint.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/core/uint",function(t,n){"use strict";function o(t){return 0>t?0:t>255?255:0|t}function r(t){return 0>t?0:t>4294967295?4294967295:0|t}function e(t){for(var n=t.length,o=new Uint32Array(n),e=0;n>e;e++)o[e]=r(t[e]);return o}Object.defineProperty(n,"__esModule",{value:!0});var i=function(){function t(t,n,o){for(var r=new Uint8Array(t*n),e=0,i=t*n;i>e;e++)r[e]=o;this._data=r,this.rows=t,this.cols=n}return t.prototype.get=function(t,n){return this._data[t*this.cols+n]},t.prototype.set=function(t,n,o){this._data[t*this.cols+n]=o},t}();n.Uint8Matrix=i,n.toUint8=o,n.toUint32=r,n.toUint32Array=e});
/**! node_modules/monaco-editor/esm/vs/editor/common/standalone/standaloneEnums.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/standalone/standaloneEnums",function(e,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),function(e){e[e.Unnecessary=1]="Unnecessary"}(n.MarkerTag||(n.MarkerTag={})),function(e){e[e.Hint=1]="Hint",e[e.Info=2]="Info",e[e.Warning=4]="Warning",e[e.Error=8]="Error"}(n.MarkerSeverity||(n.MarkerSeverity={})),function(e){e[e.Unknown=0]="Unknown",e[e.Backspace=1]="Backspace",e[e.Tab=2]="Tab",e[e.Enter=3]="Enter",e[e.Shift=4]="Shift",e[e.Ctrl=5]="Ctrl",e[e.Alt=6]="Alt",e[e.PauseBreak=7]="PauseBreak",e[e.CapsLock=8]="CapsLock",e[e.Escape=9]="Escape",e[e.Space=10]="Space",e[e.PageUp=11]="PageUp",e[e.PageDown=12]="PageDown",e[e.End=13]="End",e[e.Home=14]="Home",e[e.LeftArrow=15]="LeftArrow",e[e.UpArrow=16]="UpArrow",e[e.RightArrow=17]="RightArrow",e[e.DownArrow=18]="DownArrow",e[e.Insert=19]="Insert",e[e.Delete=20]="Delete",e[e.KEY_0=21]="KEY_0",e[e.KEY_1=22]="KEY_1",e[e.KEY_2=23]="KEY_2",e[e.KEY_3=24]="KEY_3",e[e.KEY_4=25]="KEY_4",e[e.KEY_5=26]="KEY_5",e[e.KEY_6=27]="KEY_6",e[e.KEY_7=28]="KEY_7",e[e.KEY_8=29]="KEY_8",e[e.KEY_9=30]="KEY_9",e[e.KEY_A=31]="KEY_A",e[e.KEY_B=32]="KEY_B",e[e.KEY_C=33]="KEY_C",e[e.KEY_D=34]="KEY_D",e[e.KEY_E=35]="KEY_E",e[e.KEY_F=36]="KEY_F",e[e.KEY_G=37]="KEY_G",e[e.KEY_H=38]="KEY_H",e[e.KEY_I=39]="KEY_I",e[e.KEY_J=40]="KEY_J",e[e.KEY_K=41]="KEY_K",e[e.KEY_L=42]="KEY_L",e[e.KEY_M=43]="KEY_M",e[e.KEY_N=44]="KEY_N",e[e.KEY_O=45]="KEY_O",e[e.KEY_P=46]="KEY_P",e[e.KEY_Q=47]="KEY_Q",e[e.KEY_R=48]="KEY_R",e[e.KEY_S=49]="KEY_S",e[e.KEY_T=50]="KEY_T",e[e.KEY_U=51]="KEY_U",e[e.KEY_V=52]="KEY_V",e[e.KEY_W=53]="KEY_W",e[e.KEY_X=54]="KEY_X",e[e.KEY_Y=55]="KEY_Y",e[e.KEY_Z=56]="KEY_Z",e[e.Meta=57]="Meta",e[e.ContextMenu=58]="ContextMenu",e[e.F1=59]="F1",e[e.F2=60]="F2",e[e.F3=61]="F3",e[e.F4=62]="F4",e[e.F5=63]="F5",e[e.F6=64]="F6",e[e.F7=65]="F7",e[e.F8=66]="F8",e[e.F9=67]="F9",e[e.F10=68]="F10",e[e.F11=69]="F11",e[e.F12=70]="F12",e[e.F13=71]="F13",e[e.F14=72]="F14",e[e.F15=73]="F15",e[e.F16=74]="F16",e[e.F17=75]="F17",e[e.F18=76]="F18",e[e.F19=77]="F19",e[e.NumLock=78]="NumLock",e[e.ScrollLock=79]="ScrollLock",e[e.US_SEMICOLON=80]="US_SEMICOLON",e[e.US_EQUAL=81]="US_EQUAL",e[e.US_COMMA=82]="US_COMMA",e[e.US_MINUS=83]="US_MINUS",e[e.US_DOT=84]="US_DOT",e[e.US_SLASH=85]="US_SLASH",e[e.US_BACKTICK=86]="US_BACKTICK",e[e.US_OPEN_SQUARE_BRACKET=87]="US_OPEN_SQUARE_BRACKET",e[e.US_BACKSLASH=88]="US_BACKSLASH",e[e.US_CLOSE_SQUARE_BRACKET=89]="US_CLOSE_SQUARE_BRACKET",e[e.US_QUOTE=90]="US_QUOTE",e[e.OEM_8=91]="OEM_8",e[e.OEM_102=92]="OEM_102",e[e.NUMPAD_0=93]="NUMPAD_0",e[e.NUMPAD_1=94]="NUMPAD_1",e[e.NUMPAD_2=95]="NUMPAD_2",e[e.NUMPAD_3=96]="NUMPAD_3",e[e.NUMPAD_4=97]="NUMPAD_4",e[e.NUMPAD_5=98]="NUMPAD_5",e[e.NUMPAD_6=99]="NUMPAD_6",e[e.NUMPAD_7=100]="NUMPAD_7",e[e.NUMPAD_8=101]="NUMPAD_8",e[e.NUMPAD_9=102]="NUMPAD_9",e[e.NUMPAD_MULTIPLY=103]="NUMPAD_MULTIPLY",e[e.NUMPAD_ADD=104]="NUMPAD_ADD",e[e.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",e[e.NUMPAD_SUBTRACT=106]="NUMPAD_SUBTRACT",e[e.NUMPAD_DECIMAL=107]="NUMPAD_DECIMAL",e[e.NUMPAD_DIVIDE=108]="NUMPAD_DIVIDE",e[e.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",e[e.ABNT_C1=110]="ABNT_C1",e[e.ABNT_C2=111]="ABNT_C2",e[e.MAX_VALUE=112]="MAX_VALUE"}(n.KeyCode||(n.KeyCode={})),function(e){e[e.LTR=0]="LTR",e[e.RTL=1]="RTL"}(n.SelectionDirection||(n.SelectionDirection={})),function(e){e[e.Auto=1]="Auto",e[e.Hidden=2]="Hidden",e[e.Visible=3]="Visible"}(n.ScrollbarVisibility||(n.ScrollbarVisibility={})),function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"}(n.OverviewRulerLane||(n.OverviewRulerLane={})),function(e){e[e.TextDefined=0]="TextDefined",e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(n.EndOfLinePreference||(n.EndOfLinePreference={})),function(e){e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(n.DefaultEndOfLine||(n.DefaultEndOfLine={})),function(e){e[e.LF=0]="LF",e[e.CRLF=1]="CRLF"}(n.EndOfLineSequence||(n.EndOfLineSequence={})),function(e){e[e.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",e[e.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",e[e.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",e[e.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"}(n.TrackedRangeStickiness||(n.TrackedRangeStickiness={})),function(e){e[e.Smooth=0]="Smooth",e[e.Immediate=1]="Immediate"}(n.ScrollType||(n.ScrollType={})),function(e){e[e.NotSet=0]="NotSet",e[e.ContentFlush=1]="ContentFlush",e[e.RecoverFromMarkers=2]="RecoverFromMarkers",e[e.Explicit=3]="Explicit",e[e.Paste=4]="Paste",e[e.Undo=5]="Undo",e[e.Redo=6]="Redo"}(n.CursorChangeReason||(n.CursorChangeReason={})),function(e){e[e.None=0]="None",e[e.Small=1]="Small",e[e.Large=2]="Large",e[e.SmallBlocks=3]="SmallBlocks",e[e.LargeBlocks=4]="LargeBlocks"}(n.RenderMinimap||(n.RenderMinimap={})),function(e){e[e.None=0]="None",e[e.Same=1]="Same",e[e.Indent=2]="Indent",e[e.DeepIndent=3]="DeepIndent"}(n.WrappingIndent||(n.WrappingIndent={})),function(e){e[e.Hidden=0]="Hidden",e[e.Blink=1]="Blink",e[e.Smooth=2]="Smooth",e[e.Phase=3]="Phase",e[e.Expand=4]="Expand",e[e.Solid=5]="Solid"}(n.TextEditorCursorBlinkingStyle||(n.TextEditorCursorBlinkingStyle={})),function(e){e[e.Line=1]="Line",e[e.Block=2]="Block",e[e.Underline=3]="Underline",e[e.LineThin=4]="LineThin",e[e.BlockOutline=5]="BlockOutline",e[e.UnderlineThin=6]="UnderlineThin"}(n.TextEditorCursorStyle||(n.TextEditorCursorStyle={})),function(e){e[e.Off=0]="Off",e[e.On=1]="On",e[e.Relative=2]="Relative",e[e.Interval=3]="Interval",e[e.Custom=4]="Custom"}(n.RenderLineNumbersType||(n.RenderLineNumbersType={})),function(e){e[e.EXACT=0]="EXACT",e[e.ABOVE=1]="ABOVE",e[e.BELOW=2]="BELOW"}(n.ContentWidgetPositionPreference||(n.ContentWidgetPositionPreference={})),function(e){e[e.TOP_RIGHT_CORNER=0]="TOP_RIGHT_CORNER",e[e.BOTTOM_RIGHT_CORNER=1]="BOTTOM_RIGHT_CORNER",e[e.TOP_CENTER=2]="TOP_CENTER"}(n.OverlayWidgetPositionPreference||(n.OverlayWidgetPositionPreference={})),function(e){e[e.UNKNOWN=0]="UNKNOWN",e[e.TEXTAREA=1]="TEXTAREA",e[e.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",e[e.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",e[e.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",e[e.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",e[e.CONTENT_TEXT=6]="CONTENT_TEXT",e[e.CONTENT_EMPTY=7]="CONTENT_EMPTY",e[e.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",e[e.CONTENT_WIDGET=9]="CONTENT_WIDGET",e[e.OVERVIEW_RULER=10]="OVERVIEW_RULER",e[e.SCROLLBAR=11]="SCROLLBAR",e[e.OVERLAY_WIDGET=12]="OVERLAY_WIDGET",e[e.OUTSIDE_EDITOR=13]="OUTSIDE_EDITOR"}(n.MouseTargetType||(n.MouseTargetType={})),function(e){e[e.None=0]="None",e[e.Indent=1]="Indent",e[e.IndentOutdent=2]="IndentOutdent",e[e.Outdent=3]="Outdent"}(n.IndentAction||(n.IndentAction={})),function(e){e[e.Method=0]="Method",e[e.Function=1]="Function",e[e.Constructor=2]="Constructor",e[e.Field=3]="Field",e[e.Variable=4]="Variable",e[e.Class=5]="Class",e[e.Struct=6]="Struct",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Event=10]="Event",e[e.Operator=11]="Operator",e[e.Unit=12]="Unit",e[e.Value=13]="Value",e[e.Constant=14]="Constant",e[e.Enum=15]="Enum",e[e.EnumMember=16]="EnumMember",e[e.Keyword=17]="Keyword",e[e.Text=18]="Text",e[e.Color=19]="Color",e[e.File=20]="File",e[e.Reference=21]="Reference",e[e.Customcolor=22]="Customcolor",e[e.Folder=23]="Folder",e[e.TypeParameter=24]="TypeParameter",e[e.Snippet=25]="Snippet"}(n.CompletionItemKind||(n.CompletionItemKind={})),function(e){e[e.KeepWhitespace=1]="KeepWhitespace",e[e.InsertAsSnippet=4]="InsertAsSnippet"}(n.CompletionItemInsertTextRule||(n.CompletionItemInsertTextRule={})),function(e){e[e.Invoke=0]="Invoke",e[e.TriggerCharacter=1]="TriggerCharacter",e[e.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"}(n.CompletionTriggerKind||(n.CompletionTriggerKind={})),function(e){e[e.Invoke=1]="Invoke",e[e.TriggerCharacter=2]="TriggerCharacter",e[e.ContentChange=3]="ContentChange"}(n.SignatureHelpTriggerKind||(n.SignatureHelpTriggerKind={})),function(e){e[e.Text=0]="Text",e[e.Read=1]="Read",e[e.Write=2]="Write"}(n.DocumentHighlightKind||(n.DocumentHighlightKind={})),function(e){e[e.File=0]="File",e[e.Module=1]="Module",e[e.Namespace=2]="Namespace",e[e.Package=3]="Package",e[e.Class=4]="Class",e[e.Method=5]="Method",e[e.Property=6]="Property",e[e.Field=7]="Field",e[e.Constructor=8]="Constructor",e[e.Enum=9]="Enum",e[e.Interface=10]="Interface",e[e.Function=11]="Function",e[e.Variable=12]="Variable",e[e.Constant=13]="Constant",e[e.String=14]="String",e[e.Number=15]="Number",e[e.Boolean=16]="Boolean",e[e.Array=17]="Array",e[e.Object=18]="Object",e[e.Key=19]="Key",e[e.Null=20]="Null",e[e.EnumMember=21]="EnumMember",e[e.Struct=22]="Struct",e[e.Event=23]="Event",e[e.Operator=24]="Operator",e[e.TypeParameter=25]="TypeParameter"}(n.SymbolKind||(n.SymbolKind={}))});
/**! node_modules/monaco-editor/esm/vs/editor/common/core/token.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/core/token",function(t,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var n=function(){function t(t,e,n){this.offset=0|t,this.type=e,this.language=n}return t.prototype.toString=function(){return"("+this.offset+", "+this.type+")"},t}();e.Token=n;var o=function(){function t(t,e){this.tokens=t,this.endState=e}return t}();e.TokenizationResult=o;var i=function(){function t(t,e){this.tokens=t,this.endState=e}return t}();e.TokenizationResult2=i});
/**! node_modules/monaco-editor/esm/vs/editor/common/core/selection.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/core/selection",function(t,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var n=this&&this.__extends||function(){var t=function(e,n){return(t=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(t,e){t.__proto__=e}||function(t,e){for(var n in e)e.hasOwnProperty(n)&&(t[n]=e[n])})(e,n)};return function(e,n){function o(){this.constructor=e}t(e,n),e.prototype=null===n?Object.create(n):(o.prototype=n.prototype,new o)}}(),o=t("node_modules/monaco-editor/esm/vs/editor/common/core/position"),i=t("node_modules/monaco-editor/esm/vs/editor/common/core/range"),r=function(t){function e(e,n,o,i){var r=t.call(this,e,n,o,i)||this;return r.selectionStartLineNumber=e,r.selectionStartColumn=n,r.positionLineNumber=o,r.positionColumn=i,r}return n(e,t),e.prototype.clone=function(){return new e(this.selectionStartLineNumber,this.selectionStartColumn,this.positionLineNumber,this.positionColumn)},e.prototype.toString=function(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"},e.prototype.equalsSelection=function(t){return e.selectionsEqual(this,t)},e.selectionsEqual=function(t,e){return t.selectionStartLineNumber===e.selectionStartLineNumber&&t.selectionStartColumn===e.selectionStartColumn&&t.positionLineNumber===e.positionLineNumber&&t.positionColumn===e.positionColumn},e.prototype.getDirection=function(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1},e.prototype.setEndPosition=function(t,n){return 0===this.getDirection()?new e(this.startLineNumber,this.startColumn,t,n):new e(t,n,this.startLineNumber,this.startColumn)},e.prototype.getPosition=function(){return new o.Position(this.positionLineNumber,this.positionColumn)},e.prototype.setStartPosition=function(t,n){return 0===this.getDirection()?new e(t,n,this.endLineNumber,this.endColumn):new e(this.endLineNumber,this.endColumn,t,n)},e.fromPositions=function(t,n){return void 0===n&&(n=t),new e(t.lineNumber,t.column,n.lineNumber,n.column)},e.liftSelection=function(t){return new e(t.selectionStartLineNumber,t.selectionStartColumn,t.positionLineNumber,t.positionColumn)},e.selectionsArrEqual=function(t,e){if(t&&!e||!t&&e)return!1;if(!t&&!e)return!0;if(t.length!==e.length)return!1;for(var n=0,o=t.length;o>n;n++)if(!this.selectionsEqual(t[n],e[n]))return!1;return!0},e.isISelection=function(t){return t&&"number"==typeof t.selectionStartLineNumber&&"number"==typeof t.selectionStartColumn&&"number"==typeof t.positionLineNumber&&"number"==typeof t.positionColumn},e.createWithDirection=function(t,n,o,i,r){return 0===r?new e(t,n,o,i):new e(o,i,t,n)},e}(i.Range);e.Selection=r});
/**! node_modules/monaco-editor/esm/vs/base/common/keyCodes.js*/
define("node_modules/monaco-editor/esm/vs/base/common/keyCodes",function(e,t){"use strict";function o(e,t){var o=(65535&t)<<16>>>0;return(e|o)>>>0}function n(e,t){if(0===e)return null;var o=(65535&e)>>>0,n=(4294901760&e)>>>16;return new c(0!==n?[r(o,t),r(n,t)]:[r(o,t)])}function r(e,t){var o=2048&e?!0:!1,n=256&e?!0:!1,r=2===t?n:o,i=1024&e?!0:!1,s=512&e?!0:!1,u=2===t?o:n,a=255&e;return new y(r,i,s,u,a)}Object.defineProperty(t,"__esModule",{value:!0});var i=e("node_modules/monaco-editor/esm/vs/base/common/errors"),s=function(){function e(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}return e.prototype.define=function(e,t){this._keyCodeToStr[e]=t,this._strToKeyCode[t.toLowerCase()]=e},e.prototype.keyCodeToStr=function(e){return this._keyCodeToStr[e]},e.prototype.strToKeyCode=function(e){return this._strToKeyCode[e.toLowerCase()]||0},e}(),u=new s,a=new s,d=new s;!function(){function e(e,t,o,n){void 0===o&&(o=t),void 0===n&&(n=o),u.define(e,t),a.define(e,o),d.define(e,n)}e(0,"unknown"),e(1,"Backspace"),e(2,"Tab"),e(3,"Enter"),e(4,"Shift"),e(5,"Ctrl"),e(6,"Alt"),e(7,"PauseBreak"),e(8,"CapsLock"),e(9,"Escape"),e(10,"Space"),e(11,"PageUp"),e(12,"PageDown"),e(13,"End"),e(14,"Home"),e(15,"LeftArrow","Left"),e(16,"UpArrow","Up"),e(17,"RightArrow","Right"),e(18,"DownArrow","Down"),e(19,"Insert"),e(20,"Delete"),e(21,"0"),e(22,"1"),e(23,"2"),e(24,"3"),e(25,"4"),e(26,"5"),e(27,"6"),e(28,"7"),e(29,"8"),e(30,"9"),e(31,"A"),e(32,"B"),e(33,"C"),e(34,"D"),e(35,"E"),e(36,"F"),e(37,"G"),e(38,"H"),e(39,"I"),e(40,"J"),e(41,"K"),e(42,"L"),e(43,"M"),e(44,"N"),e(45,"O"),e(46,"P"),e(47,"Q"),e(48,"R"),e(49,"S"),e(50,"T"),e(51,"U"),e(52,"V"),e(53,"W"),e(54,"X"),e(55,"Y"),e(56,"Z"),e(57,"Meta"),e(58,"ContextMenu"),e(59,"F1"),e(60,"F2"),e(61,"F3"),e(62,"F4"),e(63,"F5"),e(64,"F6"),e(65,"F7"),e(66,"F8"),e(67,"F9"),e(68,"F10"),e(69,"F11"),e(70,"F12"),e(71,"F13"),e(72,"F14"),e(73,"F15"),e(74,"F16"),e(75,"F17"),e(76,"F18"),e(77,"F19"),e(78,"NumLock"),e(79,"ScrollLock"),e(80,";",";","OEM_1"),e(81,"=","=","OEM_PLUS"),e(82,",",",","OEM_COMMA"),e(83,"-","-","OEM_MINUS"),e(84,".",".","OEM_PERIOD"),e(85,"/","/","OEM_2"),e(86,"`","`","OEM_3"),e(110,"ABNT_C1"),e(111,"ABNT_C2"),e(87,"[","[","OEM_4"),e(88,"\\","\\","OEM_5"),e(89,"]","]","OEM_6"),e(90,"'","'","OEM_7"),e(91,"OEM_8"),e(92,"OEM_102"),e(93,"NumPad0"),e(94,"NumPad1"),e(95,"NumPad2"),e(96,"NumPad3"),e(97,"NumPad4"),e(98,"NumPad5"),e(99,"NumPad6"),e(100,"NumPad7"),e(101,"NumPad8"),e(102,"NumPad9"),e(103,"NumPad_Multiply"),e(104,"NumPad_Add"),e(105,"NumPad_Separator"),e(106,"NumPad_Subtract"),e(107,"NumPad_Decimal"),e(108,"NumPad_Divide")}(),function(e){function t(e){return u.keyCodeToStr(e)}function o(e){return u.strToKeyCode(e)}function n(e){return a.keyCodeToStr(e)}function r(e){return d.keyCodeToStr(e)}function i(e){return a.strToKeyCode(e)||d.strToKeyCode(e)}e.toString=t,e.fromString=o,e.toUserSettingsUS=n,e.toUserSettingsGeneral=r,e.fromUserSettings=i}(t.KeyCodeUtils||(t.KeyCodeUtils={})),t.KeyChord=o,t.createKeybinding=n,t.createSimpleKeybinding=r;var y=function(){function e(e,t,o,n,r){this.ctrlKey=e,this.shiftKey=t,this.altKey=o,this.metaKey=n,this.keyCode=r}return e.prototype.equals=function(e){return this.ctrlKey===e.ctrlKey&&this.shiftKey===e.shiftKey&&this.altKey===e.altKey&&this.metaKey===e.metaKey&&this.keyCode===e.keyCode},e.prototype.isModifierKey=function(){return 0===this.keyCode||5===this.keyCode||57===this.keyCode||6===this.keyCode||4===this.keyCode},e.prototype.toChord=function(){return new c([this])},e.prototype.isDuplicateModifierCase=function(){return this.ctrlKey&&5===this.keyCode||this.shiftKey&&4===this.keyCode||this.altKey&&6===this.keyCode||this.metaKey&&57===this.keyCode},e}();t.SimpleKeybinding=y;var c=function(){function e(e){if(0===e.length)throw i.illegalArgument("parts");this.parts=e}return e.prototype.equals=function(e){if(null===e)return!1;if(this.parts.length!==e.parts.length)return!1;for(var t=0;t<this.parts.length;t++)if(!this.parts[t].equals(e.parts[t]))return!1;return!0},e}();t.ChordKeybinding=c;var h=function(){function e(e,t,o,n,r,i){this.ctrlKey=e,this.shiftKey=t,this.altKey=o,this.metaKey=n,this.keyLabel=r,this.keyAriaLabel=i}return e}();t.ResolvedKeybindingPart=h;var f=function(){function e(){}return e}();t.ResolvedKeybinding=f});
/**! node_modules/monaco-editor/esm/vs/base/common/event.js*/
define("node_modules/monaco-editor/esm/vs/base/common/event",function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=this&&this.__extends||function(){var e=function(t,n){return(e=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(t,n)};return function(t,n){function i(){this.constructor=t}e(t,n),t.prototype=null===n?Object.create(n):(i.prototype=n.prototype,new i)}}(),i=e("node_modules/monaco-editor/esm/vs/base/common/errors"),r=e("node_modules/monaco-editor/esm/vs/base/common/functional"),o=e("node_modules/monaco-editor/esm/vs/base/common/lifecycle"),s=e("node_modules/monaco-editor/esm/vs/base/common/linkedList");!function(e){function t(e){return function(t,n,i){void 0===n&&(n=null);var r,o=!1;return r=e(function(e){return o?void 0:(r?r.dispose():o=!0,t.call(n,e))},null,i),o&&r.dispose(),r}}function n(e,t){return a(function(n,i,r){return void 0===i&&(i=null),e(function(e){return n.call(i,t(e))},null,r)})}function i(e,t){return a(function(n,i,r){return void 0===i&&(i=null),e(function(e){t(e),n.call(i,e)},null,r)})}function r(e,t){return a(function(n,i,r){return void 0===i&&(i=null),e(function(e){return t(e)&&n.call(i,e)},null,r)})}function s(e){return e}function u(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return function(t,n,i){return void 0===n&&(n=null),o.combinedDisposable(e.map(function(e){return e(function(e){return t.call(n,e)},null,i)}))}}function c(e,t,i){var r=i;return n(e,function(e){return r=t(r,e)})}function a(e){var t,n=new f({onFirstListenerAdd:function(){t=e(n.fire,n)},onLastListenerRemove:function(){t.dispose()}});return n.event}function h(e,t,n,i,r){void 0===n&&(n=100),void 0===i&&(i=!1);var o,s=void 0,u=void 0,c=0,a=new f({leakWarningThreshold:r,onFirstListenerAdd:function(){o=e(function(e){c++,s=t(s,e),i&&!u&&a.fire(s),clearTimeout(u),u=setTimeout(function(){var e=s;s=void 0,u=void 0,(!i||c>1)&&a.fire(e),c=0},n)})},onLastListenerRemove:function(){o.dispose()}});return a.event}function p(e){var i=(new Date).getTime();return n(t(e),function(){return(new Date).getTime()-i})}function v(e){var t,n=!0;return r(e,function(e){var i=n||e!==t;return n=!1,t=e,i})}function l(e,t,n){void 0===t&&(t=!1),void 0===n&&(n=[]);var i=n.slice(),r=e(function(e){i?i.push(e):s.fire(e)}),o=function(){i&&i.forEach(function(e){return s.fire(e)}),i=null},s=new f({onFirstListenerAdd:function(){r||(r=e(function(e){return s.fire(e)}))},onFirstListenerDidAdd:function(){i&&(t?setTimeout(o):o())},onLastListenerRemove:function(){r&&r.dispose(),r=null}});return s.event}function d(e){return new w(e)}function _(e,t,n){void 0===n&&(n=function(e){return e});var i=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return s.fire(n.apply(void 0,e))},r=function(){return e.on(t,i)},o=function(){return e.removeListener(t,i)},s=new f({onFirstListenerAdd:r,onLastListenerRemove:o});return s.event}function m(e){var t=new f,n=!1;return e.then(void 0,function(){return null}).then(function(){n?t.fire(void 0):setTimeout(function(){return t.fire(void 0)},0)}),n=!0,t.event}function y(e){return new Promise(function(n){return t(e)(n)})}var L={dispose:function(){}};e.None=function(){return L},e.once=t,e.map=n,e.forEach=i,e.filter=r,e.signal=s,e.any=u,e.reduce=c,e.snapshot=a,e.debounce=h,e.stopwatch=p,e.latch=v,e.buffer=l;var w=function(){function e(e){this.event=e}return e.prototype.map=function(t){return new e(n(this.event,t))},e.prototype.forEach=function(t){return new e(i(this.event,t))},e.prototype.filter=function(t){return new e(r(this.event,t))},e.prototype.reduce=function(t,n){return new e(c(this.event,t,n))},e.prototype.latch=function(){return new e(v(this.event))},e.prototype.on=function(e,t,n){return this.event(e,t,n)},e.prototype.once=function(e,n,i){return t(this.event)(e,n,i)},e}();e.chain=d,e.fromNodeEventEmitter=_,e.fromPromise=m,e.toPromise=y}(t.Event||(t.Event={}));var u=-1,c=function(){function e(e,t){void 0===t&&(t=Math.random().toString(18).slice(2,5)),this.customThreshold=e,this.name=t,this._warnCountdown=0}return e.prototype.dispose=function(){this._stacks&&this._stacks.clear()},e.prototype.check=function(e){var t=this,n=u;if("number"==typeof this.customThreshold&&(n=this.customThreshold),0>=n||n>e)return void 0;this._stacks||(this._stacks=new Map);var i=(new Error).stack.split("\n").slice(3).join("\n"),r=this._stacks.get(i)||0;if(this._stacks.set(i,r+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=.5*n;var o,s=0;this._stacks.forEach(function(e,t){(!o||e>s)&&(o=t,s=e)}),console.warn("["+this.name+"] potential listener LEAK detected, having "+e+" listeners already. MOST frequent listener ("+s+"):"),console.warn(o)}return function(){var e=t._stacks.get(i)||0;t._stacks.set(i,e-1)}},e}(),f=function(){function e(e){this._disposed=!1,this._options=e,this._leakageMon=u>0?new c(this._options&&this._options.leakWarningThreshold):void 0}return Object.defineProperty(e.prototype,"event",{get:function(){var t=this;return this._event||(this._event=function(n,i,r){t._listeners||(t._listeners=new s.LinkedList);var o=t._listeners.isEmpty();o&&t._options&&t._options.onFirstListenerAdd&&t._options.onFirstListenerAdd(t);var u=t._listeners.push(i?[n,i]:n);o&&t._options&&t._options.onFirstListenerDidAdd&&t._options.onFirstListenerDidAdd(t),t._options&&t._options.onListenerDidAdd&&t._options.onListenerDidAdd(t,n,i);var c;t._leakageMon&&(c=t._leakageMon.check(t._listeners.size));var f;return f={dispose:function(){if(c&&c(),f.dispose=e._noop,!t._disposed&&(u(),t._options&&t._options.onLastListenerRemove)){var n=t._listeners&&!t._listeners.isEmpty();n||t._options.onLastListenerRemove(t)}}},Array.isArray(r)&&r.push(f),f}),this._event},enumerable:!0,configurable:!0}),e.prototype.fire=function(e){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new s.LinkedList);for(var t=this._listeners.iterator(),n=t.next();!n.done;n=t.next())this._deliveryQueue.push([n.value,e]);for(;this._deliveryQueue.size>0;){var r=this._deliveryQueue.shift(),o=r[0],u=r[1];try{"function"==typeof o?o.call(void 0,u):o[0].call(o[1],u)}catch(n){i.onUnexpectedError(n)}}}},e.prototype.dispose=function(){this._listeners&&this._listeners.clear(),this._deliveryQueue&&this._deliveryQueue.clear(),this._leakageMon&&this._leakageMon.dispose(),this._disposed=!0},e._noop=function(){},e}();t.Emitter=f;var a=function(e){function t(t){var n=e.call(this,t)||this;return n._isPaused=0,n._eventQueue=new s.LinkedList,n._mergeFn=t&&t.merge,n}return n(t,e),t.prototype.pause=function(){this._isPaused++},t.prototype.resume=function(){if(0!==this._isPaused&&0===--this._isPaused)if(this._mergeFn){var t=this._eventQueue.toArray();this._eventQueue.clear(),e.prototype.fire.call(this,this._mergeFn(t))}else for(;!this._isPaused&&0!==this._eventQueue.size;)e.prototype.fire.call(this,this._eventQueue.shift())},t.prototype.fire=function(t){this._listeners&&(0!==this._isPaused?this._eventQueue.push(t):e.prototype.fire.call(this,t))},t}(f);t.PauseableEmitter=a;var h=function(){function e(){var e=this;this.hasListeners=!1,this.events=[],this.emitter=new f({onFirstListenerAdd:function(){return e.onFirstListenerAdd()},onLastListenerRemove:function(){return e.onLastListenerRemove()}})}return Object.defineProperty(e.prototype,"event",{get:function(){return this.emitter.event},enumerable:!0,configurable:!0}),e.prototype.add=function(e){var t=this,n={event:e,listener:null};this.events.push(n),this.hasListeners&&this.hook(n);var i=function(){t.hasListeners&&t.unhook(n);var e=t.events.indexOf(n);t.events.splice(e,1)};return o.toDisposable(r.once(i))},e.prototype.onFirstListenerAdd=function(){var e=this;this.hasListeners=!0,this.events.forEach(function(t){return e.hook(t)})},e.prototype.onLastListenerRemove=function(){var e=this;this.hasListeners=!1,this.events.forEach(function(t){return e.unhook(t)})},e.prototype.hook=function(e){var t=this;e.listener=e.event(function(e){return t.emitter.fire(e)})},e.prototype.unhook=function(e){e.listener&&e.listener.dispose(),e.listener=null},e.prototype.dispose=function(){this.emitter.dispose()},e}();t.EventMultiplexer=h;var p=function(){function e(){this.buffers=[]}return e.prototype.wrapEvent=function(e){var t=this;return function(n,i,r){return e(function(e){var r=t.buffers[t.buffers.length-1];r?r.push(function(){return n.call(i,e)}):n.call(i,e)},void 0,r)}},e.prototype.bufferEvents=function(e){var t=[];this.buffers.push(t);var n=e();return this.buffers.pop(),t.forEach(function(e){return e()}),n},e}();t.EventBufferer=p;var v=function(){function e(){var e=this;this.listening=!1,this.inputEvent=t.Event.None,this.inputEventListener=o.Disposable.None,this.emitter=new f({onFirstListenerDidAdd:function(){e.listening=!0,e.inputEventListener=e.inputEvent(e.emitter.fire,e.emitter)},onLastListenerRemove:function(){e.listening=!1,e.inputEventListener.dispose()}}),this.event=this.emitter.event}return Object.defineProperty(e.prototype,"input",{set:function(e){this.inputEvent=e,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=e(this.emitter.fire,this.emitter))},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){this.inputEventListener.dispose(),this.emitter.dispose()},e}();t.Relay=v});
/**! node_modules/monaco-editor/esm/vs/base/common/cancellation.js*/
define("node_modules/monaco-editor/esm/vs/base/common/cancellation",function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=e("node_modules/monaco-editor/esm/vs/base/common/event"),o=Object.freeze(function(e,t){var n=setTimeout(e.bind(t),0);return{dispose:function(){clearTimeout(n)}}});!function(e){function t(t){return t===e.None||t===e.Cancelled?!0:t instanceof i?!0:t&&"object"==typeof t?"boolean"==typeof t.isCancellationRequested&&"function"==typeof t.onCancellationRequested:!1}e.isCancellationToken=t,e.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:n.Event.None}),e.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:o})}(t.CancellationToken||(t.CancellationToken={}));var i=function(){function e(){this._isCancelled=!1,this._emitter=null}return e.prototype.cancel=function(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))},Object.defineProperty(e.prototype,"isCancellationRequested",{get:function(){return this._isCancelled},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onCancellationRequested",{get:function(){return this._isCancelled?o:(this._emitter||(this._emitter=new n.Emitter),this._emitter.event)},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){this._emitter&&(this._emitter.dispose(),this._emitter=null)},e}(),s=function(){function e(e){this._token=void 0,this._parentListener=void 0,this._parentListener=e&&e.onCancellationRequested(this.cancel,this)}return Object.defineProperty(e.prototype,"token",{get:function(){return this._token||(this._token=new i),this._token},enumerable:!0,configurable:!0}),e.prototype.cancel=function(){this._token?this._token instanceof i&&this._token.cancel():this._token=t.CancellationToken.Cancelled},e.prototype.dispose=function(){this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof i&&this._token.dispose():this._token=t.CancellationToken.None},e}();t.CancellationTokenSource=s});
/**! node_modules/monaco-editor/esm/vs/editor/common/standalone/promise-polyfill/polyfill.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/standalone/promise-polyfill/polyfill",function(e,n,t){!function(e,o){"object"==typeof n&&"undefined"!=typeof t?o():"function"==typeof define&&define.amd?define(o):o()}(this,function(){"use strict";function e(e){var n=this.constructor;return this.then(function(t){return n.resolve(e()).then(function(){return t})},function(t){return n.resolve(e()).then(function(){return n.reject(t)})})}function n(){}function t(e,n){return function(){e.apply(n,arguments)}}function o(e){if(!(this instanceof o))throw new TypeError("Promises must be constructed via new");if("function"!=typeof e)throw new TypeError("not a function");this._state=0,this._handled=!1,this._value=void 0,this._deferreds=[],l(e,this)}function i(e,n){for(;3===e._state;)e=e._value;return 0===e._state?void e._deferreds.push(n):(e._handled=!0,void o._immediateFn(function(){var t=1===e._state?n.onFulfilled:n.onRejected;if(null===t)return void(1===e._state?r:f)(n.promise,e._value);var o;try{o=t(e._value)}catch(i){return void f(n.promise,i)}r(n.promise,o)}))}function r(e,n){try{if(n===e)throw new TypeError("A promise cannot be resolved with itself.");if(n&&("object"==typeof n||"function"==typeof n)){var i=n.then;if(n instanceof o)return e._state=3,e._value=n,void u(e);if("function"==typeof i)return void l(t(i,n),e)}e._state=1,e._value=n,u(e)}catch(r){f(e,r)}}function f(e,n){e._state=2,e._value=n,u(e)}function u(e){2===e._state&&0===e._deferreds.length&&o._immediateFn(function(){e._handled||o._unhandledRejectionFn(e._value)});for(var n=0,t=e._deferreds.length;t>n;n++)i(e,e._deferreds[n]);e._deferreds=null}function c(e,n,t){this.onFulfilled="function"==typeof e?e:null,this.onRejected="function"==typeof n?n:null,this.promise=t}function l(e,n){var t=!1;try{e(function(e){t||(t=!0,r(n,e))},function(e){t||(t=!0,f(n,e))})}catch(o){if(t)return;t=!0,f(n,o)}}var a=setTimeout;o.prototype["catch"]=function(e){return this.then(null,e)},o.prototype.then=function(e,t){var o=new this.constructor(n);return i(this,new c(e,t,o)),o},o.prototype["finally"]=e,o.all=function(e){return new o(function(n,t){function o(e,f){try{if(f&&("object"==typeof f||"function"==typeof f)){var u=f.then;if("function"==typeof u)return void u.call(f,function(n){o(e,n)},t)}i[e]=f,0===--r&&n(i)}catch(c){t(c)}}if(!e||"undefined"==typeof e.length)throw new TypeError("Promise.all accepts an array");var i=Array.prototype.slice.call(e);if(0===i.length)return n([]);for(var r=i.length,f=0;f<i.length;f++)o(f,i[f])})},o.resolve=function(e){return e&&"object"==typeof e&&e.constructor===o?e:new o(function(n){n(e)})},o.reject=function(e){return new o(function(n,t){t(e)})},o.race=function(e){return new o(function(n,t){for(var o=0,i=e.length;i>o;o++)e[o].then(n,t)})},o._immediateFn="function"==typeof setImmediate&&function(e){setImmediate(e)}||function(e){a(e,0)},o._unhandledRejectionFn=function(e){"undefined"!=typeof console&&console&&console.warn("Possible Unhandled Promise Rejection:",e)};var s=function(){if("undefined"!=typeof self)return self;if("undefined"!=typeof window)return window;if("undefined"!=typeof global)return global;throw new Error("unable to locate global object")}();"Promise"in s?s.Promise.prototype["finally"]||(s.Promise.prototype["finally"]=e):s.Promise=o})});
/**! node_modules/tslib/tslib.js*/
define("node_modules/tslib/tslib",function(t,e,n){var r,o,a,u,c,i,f,l,s,y,p,b,_,h,d,v,m,w,g,O;!function(t){function e(t,e){return t!==r&&("function"==typeof Object.create?Object.defineProperty(t,"__esModule",{value:!0}):t.__esModule=!0),function(n,r){return t[n]=e?e(n,r):r}}var r="object"==typeof global?global:"object"==typeof self?self:"object"==typeof this?this:{};"function"==typeof define&&define.amd?define("tslib",["exports"],function(n){t(e(r,e(n)))}):t("object"==typeof n&&"object"==typeof n.exports?e(r,e(n.exports)):e(r))}(function(t){var e=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(t,e){t.__proto__=e}||function(t,e){for(var n in e)e.hasOwnProperty(n)&&(t[n]=e[n])};r=function(t,n){function r(){this.constructor=t}e(t,n),t.prototype=null===n?Object.create(n):(r.prototype=n.prototype,new r)},o=Object.assign||function(t){for(var e,n=1,r=arguments.length;r>n;n++){e=arguments[n];for(var o in e)Object.prototype.hasOwnProperty.call(e,o)&&(t[o]=e[o])}return t},a=function(t,e){var n={};for(var r in t)Object.prototype.hasOwnProperty.call(t,r)&&e.indexOf(r)<0&&(n[r]=t[r]);if(null!=t&&"function"==typeof Object.getOwnPropertySymbols)for(var o=0,r=Object.getOwnPropertySymbols(t);o<r.length;o++)e.indexOf(r[o])<0&&Object.prototype.propertyIsEnumerable.call(t,r[o])&&(n[r[o]]=t[r[o]]);return n},u=function(t,e,n,r){var o,a=arguments.length,u=3>a?e:null===r?r=Object.getOwnPropertyDescriptor(e,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)u=Reflect.decorate(t,e,n,r);else for(var c=t.length-1;c>=0;c--)(o=t[c])&&(u=(3>a?o(u):a>3?o(e,n,u):o(e,n))||u);return a>3&&u&&Object.defineProperty(e,n,u),u},c=function(t,e){return function(n,r){e(n,r,t)}},i=function(t,e){return"object"==typeof Reflect&&"function"==typeof Reflect.metadata?Reflect.metadata(t,e):void 0},f=function(t,e,n,r){return new(n||(n=Promise))(function(o,a){function u(t){try{i(r.next(t))}catch(e){a(e)}}function c(t){try{i(r["throw"](t))}catch(e){a(e)}}function i(t){t.done?o(t.value):new n(function(e){e(t.value)}).then(u,c)}i((r=r.apply(t,e||[])).next())})},l=function(t,e){function n(t){return function(e){return r([t,e])}}function r(n){if(o)throw new TypeError("Generator is already executing.");for(;i;)try{if(o=1,a&&(u=2&n[0]?a["return"]:n[0]?a["throw"]||((u=a["return"])&&u.call(a),0):a.next)&&!(u=u.call(a,n[1])).done)return u;switch(a=0,u&&(n=[2&n[0],u.value]),n[0]){case 0:case 1:u=n;break;case 4:return i.label++,{value:n[1],done:!1};case 5:i.label++,a=n[1],n=[0];continue;case 7:n=i.ops.pop(),i.trys.pop();continue;default:if(u=i.trys,!(u=u.length>0&&u[u.length-1])&&(6===n[0]||2===n[0])){i=0;continue}if(3===n[0]&&(!u||n[1]>u[0]&&n[1]<u[3])){i.label=n[1];break}if(6===n[0]&&i.label<u[1]){i.label=u[1],u=n;break}if(u&&i.label<u[2]){i.label=u[2],i.ops.push(n);break}u[2]&&i.ops.pop(),i.trys.pop();continue}n=e.call(t,i)}catch(r){n=[6,r],a=0}finally{o=u=0}if(5&n[0])throw n[1];return{value:n[0]?n[1]:void 0,done:!0}}var o,a,u,c,i={label:0,sent:function(){if(1&u[0])throw u[1];return u[1]},trys:[],ops:[]};return c={next:n(0),"throw":n(1),"return":n(2)},"function"==typeof Symbol&&(c[Symbol.iterator]=function(){return this}),c},s=function(t,e){for(var n in t)e.hasOwnProperty(n)||(e[n]=t[n])},y=function(t){var e="function"==typeof Symbol&&t[Symbol.iterator],n=0;return e?e.call(t):{next:function(){return t&&n>=t.length&&(t=void 0),{value:t&&t[n++],done:!t}}}},p=function(t,e){var n="function"==typeof Symbol&&t[Symbol.iterator];if(!n)return t;var r,o,a=n.call(t),u=[];try{for(;(void 0===e||e-->0)&&!(r=a.next()).done;)u.push(r.value)}catch(c){o={error:c}}finally{try{r&&!r.done&&(n=a["return"])&&n.call(a)}finally{if(o)throw o.error}}return u},b=function(){for(var t=[],e=0;e<arguments.length;e++)t=t.concat(p(arguments[e]));return t},_=function(){for(var t=0,e=0,n=arguments.length;n>e;e++)t+=arguments[e].length;for(var r=Array(t),o=0,e=0;n>e;e++)for(var a=arguments[e],u=0,c=a.length;c>u;u++,o++)r[o]=a[u];return r},h=function(t){return this instanceof h?(this.v=t,this):new h(t)},d=function(t,e,n){function r(t){l[t]&&(f[t]=function(e){return new Promise(function(n,r){s.push([t,e,n,r])>1||o(t,e)})})}function o(t,e){try{a(l[t](e))}catch(n){i(s[0][3],n)}}function a(t){t.value instanceof h?Promise.resolve(t.value.v).then(u,c):i(s[0][2],t)}function u(t){o("next",t)}function c(t){o("throw",t)}function i(t,e){t(e),s.shift(),s.length&&o(s[0][0],s[0][1])}if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var f,l=n.apply(t,e||[]),s=[];return f={},r("next"),r("throw"),r("return"),f[Symbol.asyncIterator]=function(){return this},f},v=function(t){function e(e,o){n[e]=t[e]?function(n){return(r=!r)?{value:h(t[e](n)),done:"return"===e}:o?o(n):n}:o}var n,r;return n={},e("next"),e("throw",function(t){throw t}),e("return"),n[Symbol.iterator]=function(){return this},n},m=function(t){function e(e){r[e]=t[e]&&function(r){return new Promise(function(o,a){r=t[e](r),n(o,a,r.done,r.value)})}}function n(t,e,n,r){Promise.resolve(r).then(function(e){t({value:e,done:n})},e)}if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var r,o=t[Symbol.asyncIterator];return o?o.call(t):(t="function"==typeof y?y(t):t[Symbol.iterator](),r={},e("next"),e("throw"),e("return"),r[Symbol.asyncIterator]=function(){return this},r)},w=function(t,e){return Object.defineProperty?Object.defineProperty(t,"raw",{value:e}):t.raw=e,t},g=function(t){if(t&&t.__esModule)return t;var e={};if(null!=t)for(var n in t)Object.hasOwnProperty.call(t,n)&&(e[n]=t[n]);return e["default"]=t,e},O=function(t){return t&&t.__esModule?t:{"default":t}},t("__extends",r),t("__assign",o),t("__rest",a),t("__decorate",u),t("__param",c),t("__metadata",i),t("__awaiter",f),t("__generator",l),t("__exportStar",s),t("__values",y),t("__read",p),t("__spread",b),t("__spreadArrays",_),t("__await",h),t("__asyncGenerator",d),t("__asyncDelegator",v),t("__asyncValues",m),t("__makeTemplateObject",w),t("__importStar",g),t("__importDefault",O)})});
/**! node_modules/monaco-editor/esm/vs/editor/common/core/uint.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/core/uint",function(t,n){"use strict";function o(t){return 0>t?0:t>255?255:0|t}function r(t){return 0>t?0:t>4294967295?4294967295:0|t}function e(t){for(var n=t.length,o=new Uint32Array(n),e=0;n>e;e++)o[e]=r(t[e]);return o}Object.defineProperty(n,"__esModule",{value:!0});var i=function(){function t(t,n,o){for(var r=new Uint8Array(t*n),e=0,i=t*n;i>e;e++)r[e]=o;this._data=r,this.rows=t,this.cols=n}return t.prototype.get=function(t,n){return this._data[t*this.cols+n]},t.prototype.set=function(t,n,o){this._data[t*this.cols+n]=o},t}();n.Uint8Matrix=i,n.toUint8=o,n.toUint32=r,n.toUint32Array=e});
/**! node_modules/monaco-editor/esm/vs/editor/common/core/characterClassifier.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/core/characterClassifier",function(t,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i=t("node_modules/monaco-editor/esm/vs/editor/common/core/uint"),a=function(){function t(e){var a=i.toUint8(e);this._defaultValue=a,this._asciiMap=t._createAsciiMap(a),this._map=new Map}return t._createAsciiMap=function(t){for(var e=new Uint8Array(256),i=0;256>i;i++)e[i]=t;return e},t.prototype.set=function(t,e){var a=i.toUint8(e);t>=0&&256>t?this._asciiMap[t]=a:this._map.set(t,a)},t.prototype.get=function(t){return t>=0&&256>t?this._asciiMap[t]:this._map.get(t)||this._defaultValue},t}();e.CharacterClassifier=a;var o=function(){function t(){this._actual=new a(0)}return t.prototype.add=function(t){this._actual.set(t,1)},t.prototype.has=function(t){return 1===this._actual.get(t)},t}();e.CharacterSet=o});
/**! node_modules/monaco-editor/esm/vs/editor/common/viewModel/prefixSumComputer.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/viewModel/prefixSumComputer",function(t,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i=t("node_modules/monaco-editor/esm/vs/editor/common/core/uint"),u=function(){function t(t,e){this.index=t,this.remainder=e}return t}();e.PrefixSumIndexOfResult=u;var a=function(){function t(t){this.values=t,this.prefixSum=new Uint32Array(t.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}return t.prototype.getCount=function(){return this.values.length},t.prototype.insertValues=function(t,e){t=i.toUint32(t);var u=this.values,a=this.prefixSum,r=e.length;return 0===r?!1:(this.values=new Uint32Array(u.length+r),this.values.set(u.subarray(0,t),0),this.values.set(u.subarray(t),t+r),this.values.set(e,t),t-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=t-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(a.subarray(0,this.prefixSumValidIndex[0]+1)),!0)},t.prototype.changeValue=function(t,e){return t=i.toUint32(t),e=i.toUint32(e),this.values[t]===e?!1:(this.values[t]=e,t-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=t-1),!0)},t.prototype.removeValues=function(t,e){t=i.toUint32(t),e=i.toUint32(e);var u=this.values,a=this.prefixSum;if(t>=u.length)return!1;var r=u.length-t;return e>=r&&(e=r),0===e?!1:(this.values=new Uint32Array(u.length-e),this.values.set(u.subarray(0,t),0),this.values.set(u.subarray(t+e),t),this.prefixSum=new Uint32Array(this.values.length),t-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=t-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(a.subarray(0,this.prefixSumValidIndex[0]+1)),!0)},t.prototype.getTotalValue=function(){return 0===this.values.length?0:this._getAccumulatedValue(this.values.length-1)},t.prototype.getAccumulatedValue=function(t){return 0>t?0:(t=i.toUint32(t),this._getAccumulatedValue(t))},t.prototype._getAccumulatedValue=function(t){if(t<=this.prefixSumValidIndex[0])return this.prefixSum[t];var e=this.prefixSumValidIndex[0]+1;0===e&&(this.prefixSum[0]=this.values[0],e++),t>=this.values.length&&(t=this.values.length-1);for(var i=e;t>=i;i++)this.prefixSum[i]=this.prefixSum[i-1]+this.values[i];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],t),this.prefixSum[t]},t.prototype.getIndexOf=function(t){t=Math.floor(t),this.getTotalValue();for(var e=0,i=this.values.length-1,a=0,r=0,n=0;i>=e;)if(a=e+(i-e)/2|0,r=this.prefixSum[a],n=r-this.values[a],n>t)i=a-1;else{if(!(t>=r))break;e=a+1}return new u(a,t-n)},t}();e.PrefixSumComputer=a;var r=function(){function t(t){this._cacheAccumulatedValueStart=0,this._cache=null,this._actual=new a(t),this._bustCache()}return t.prototype._bustCache=function(){this._cacheAccumulatedValueStart=0,this._cache=null},t.prototype.insertValues=function(t,e){this._actual.insertValues(t,e)&&this._bustCache()},t.prototype.changeValue=function(t,e){this._actual.changeValue(t,e)&&this._bustCache()},t.prototype.removeValues=function(t,e){this._actual.removeValues(t,e)&&this._bustCache()},t.prototype.getTotalValue=function(){return this._actual.getTotalValue()},t.prototype.getAccumulatedValue=function(t){return this._actual.getAccumulatedValue(t)},t.prototype.getIndexOf=function(t){if(t=Math.floor(t),null!==this._cache){var e=t-this._cacheAccumulatedValueStart;if(e>=0&&e<this._cache.length)return this._cache[e]}return this._actual.getIndexOf(t)},t.prototype.warmUpCache=function(t,e){for(var i=[],u=t;e>=u;u++)i[u-t]=this.getIndexOf(u);this._cache=i,this._cacheAccumulatedValueStart=t},t}();e.PrefixSumComputerWithCache=r});
/**! node_modules/monaco-editor/esm/vs/base/common/strings.js*/
define("node_modules/monaco-editor/esm/vs/base/common/strings",function(r,t){"use strict";function e(r){return r&&"string"==typeof r?0===r.trim().length:!0}function n(r,t,e){void 0===e&&(e="0");for(var n=""+r,u=[n],i=n.length;t>i;i++)u.push(e);return u.reverse().join("")}function u(r){for(var t=[],e=1;e<arguments.length;e++)t[e-1]=arguments[e];return 0===t.length?r:r.replace(N,function(r,e){var n=parseInt(e,10);return isNaN(n)||0>n||n>=t.length?r:t[n]})}function i(r){return r.replace(/[<>&]/g,function(r){switch(r){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return r}})}function o(r){return r.replace(/[\-\\\{\}\*\+\?\|\^\$\.\[\]\(\)\#]/g,"\\$&")}function a(r,t){void 0===t&&(t=" ");var e=c(r,t);return f(e,t)}function c(r,t){if(!r||!t)return r;var e=t.length;if(0===e||0===r.length)return r;for(var n=0;r.indexOf(t,n)===n;)n+=e;return r.substring(n)}function f(r,t){if(!r||!t)return r;var e=t.length,n=r.length;if(0===e||0===n)return r;for(var u=n,i=-1;;){if(i=r.lastIndexOf(t,u-1),-1===i||i+e!==u)break;if(0===i)return"";u=i}return r.substring(0,u)}function s(r){return r.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}function g(r,t){if(r.length<t.length)return!1;if(r===t)return!0;for(var e=0;e<t.length;e++)if(r[e]!==t[e])return!1;return!0}function h(r,t){var e=r.length-t.length;return e>0?r.indexOf(t,e)===e:0===e?r===t:!1}function l(r,t,e){if(void 0===e&&(e={}),!r)throw new Error("Cannot create regex from empty string");t||(r=o(r)),e.wholeWord&&(/\B/.test(r.charAt(0))||(r="\\b"+r),/\B/.test(r.charAt(r.length-1))||(r+="\\b"));var n="";return e.global&&(n+="g"),e.matchCase||(n+="i"),e.multiline&&(n+="m"),e.unicode&&(n+="u"),new RegExp(r,n)}function D(r){if("^"===r.source||"^$"===r.source||"$"===r.source||"^\\s*$"===r.source)return!1;var t=r.exec("");return!(!t||0!==r.lastIndex)}function F(r){return(r.global?"g":"")+(r.ignoreCase?"i":"")+(r.multiline?"m":"")+(r.unicode?"u":"")}function d(r){for(var t=0,e=r.length;e>t;t++){var n=r.charCodeAt(t);if(32!==n&&9!==n)return t}return-1}function C(r,t,e){void 0===t&&(t=0),void 0===e&&(e=r.length);for(var n=t;e>n;n++){var u=r.charCodeAt(n);if(32!==u&&9!==u)return r.substring(t,n)}return r.substring(t,e)}function v(r,t){void 0===t&&(t=r.length-1);for(var e=t;e>=0;e--){var n=r.charCodeAt(e);if(32!==n&&9!==n)return e}return-1}function E(r,t){return t>r?-1:r>t?1:0}function m(r){return r>=97&&122>=r}function p(r){return r>=65&&90>=r}function A(r){return m(r)||p(r)}function B(r,t){var e=r?r.length:0,n=t?t.length:0;return e!==n?!1:x(r,t)}function x(r,t,e){if(void 0===e&&(e=r.length),"string"!=typeof r||"string"!=typeof t)return!1;for(var n=0;e>n;n++){var u=r.charCodeAt(n),i=t.charCodeAt(n);if(u!==i)if(A(u)&&A(i)){var o=Math.abs(u-i);if(0!==o&&32!==o)return!1}else if(String.fromCharCode(u).toLowerCase()!==String.fromCharCode(i).toLowerCase())return!1}return!0}function b(r,t){var e=t.length;return t.length>r.length?!1:x(r,t,e)}function L(r,t){var e,n=Math.min(r.length,t.length);for(e=0;n>e;e++)if(r.charCodeAt(e)!==t.charCodeAt(e))return e;return n}function W(r,t){var e,n=Math.min(r.length,t.length),u=r.length-1,i=t.length-1;for(e=0;n>e;e++)if(r.charCodeAt(u-e)!==t.charCodeAt(i-e))return e;return n}function I(r){return r>=55296&&56319>=r}function w(r){return r>=56320&&57343>=r}function R(r){return U.test(r)}function S(r){return j.test(r)}function $(r){return P.test(r)}function y(r){for(var t=0,e=r.length;e>t;t++)if(O(r.charCodeAt(t)))return!0;return!1}function O(r){return r=+r,r>=11904&&55215>=r||r>=63744&&64255>=r||r>=65281&&65374>=r}function M(r){return!!(r&&r.length>0&&65279===r.charCodeAt(0))}function T(r){return btoa(encodeURIComponent(r))}function _(r,t){for(var e="",n=0;t>n;n++)e+=r;return e}Object.defineProperty(t,"__esModule",{value:!0}),t.empty="",t.isFalsyOrWhitespace=e,t.pad=n;var N=/{(\d+)}/g;t.format=u,t.escape=i,t.escapeRegExpCharacters=o,t.trim=a,t.ltrim=c,t.rtrim=f,t.convertSimple2RegExpPattern=s,t.startsWith=g,t.endsWith=h,t.createRegExp=l,t.regExpLeadsToEndlessLoop=D,t.regExpFlags=F,t.firstNonWhitespaceIndex=d,t.getLeadingWhitespace=C,t.lastNonWhitespaceIndex=v,t.compare=E,t.isLowerAsciiLetter=m,t.isUpperAsciiLetter=p,t.equalsIgnoreCase=B,t.startsWithIgnoreCase=b,t.commonPrefixLength=L,t.commonSuffixLength=W,t.isHighSurrogate=I,t.isLowSurrogate=w;var U=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;t.containsRTL=R;var j=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEF8]|\uD83E[\uDD00-\uDDE6])/;t.containsEmoji=S;var P=/^[\t\n\r\x20-\x7E]*$/;t.isBasicASCII=$,t.containsFullWidthCharacter=y,t.isFullWidthCharacter=O,t.UTF8_BOM_CHARACTER=String.fromCharCode(65279),t.startsWithUTF8BOM=M,t.safeBtoa=T,t.repeat=_});
/**! node_modules/tslib/tslib.js*/
define("node_modules/tslib/tslib",function(t,e,n){var r,o,a,u,c,i,f,l,s,y,p,b,_,h,d,v,m,w,g,O;!function(t){function e(t,e){return t!==r&&("function"==typeof Object.create?Object.defineProperty(t,"__esModule",{value:!0}):t.__esModule=!0),function(n,r){return t[n]=e?e(n,r):r}}var r="object"==typeof global?global:"object"==typeof self?self:"object"==typeof this?this:{};"function"==typeof define&&define.amd?define("tslib",["exports"],function(n){t(e(r,e(n)))}):t("object"==typeof n&&"object"==typeof n.exports?e(r,e(n.exports)):e(r))}(function(t){var e=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(t,e){t.__proto__=e}||function(t,e){for(var n in e)e.hasOwnProperty(n)&&(t[n]=e[n])};r=function(t,n){function r(){this.constructor=t}e(t,n),t.prototype=null===n?Object.create(n):(r.prototype=n.prototype,new r)},o=Object.assign||function(t){for(var e,n=1,r=arguments.length;r>n;n++){e=arguments[n];for(var o in e)Object.prototype.hasOwnProperty.call(e,o)&&(t[o]=e[o])}return t},a=function(t,e){var n={};for(var r in t)Object.prototype.hasOwnProperty.call(t,r)&&e.indexOf(r)<0&&(n[r]=t[r]);if(null!=t&&"function"==typeof Object.getOwnPropertySymbols)for(var o=0,r=Object.getOwnPropertySymbols(t);o<r.length;o++)e.indexOf(r[o])<0&&Object.prototype.propertyIsEnumerable.call(t,r[o])&&(n[r[o]]=t[r[o]]);return n},u=function(t,e,n,r){var o,a=arguments.length,u=3>a?e:null===r?r=Object.getOwnPropertyDescriptor(e,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)u=Reflect.decorate(t,e,n,r);else for(var c=t.length-1;c>=0;c--)(o=t[c])&&(u=(3>a?o(u):a>3?o(e,n,u):o(e,n))||u);return a>3&&u&&Object.defineProperty(e,n,u),u},c=function(t,e){return function(n,r){e(n,r,t)}},i=function(t,e){return"object"==typeof Reflect&&"function"==typeof Reflect.metadata?Reflect.metadata(t,e):void 0},f=function(t,e,n,r){return new(n||(n=Promise))(function(o,a){function u(t){try{i(r.next(t))}catch(e){a(e)}}function c(t){try{i(r["throw"](t))}catch(e){a(e)}}function i(t){t.done?o(t.value):new n(function(e){e(t.value)}).then(u,c)}i((r=r.apply(t,e||[])).next())})},l=function(t,e){function n(t){return function(e){return r([t,e])}}function r(n){if(o)throw new TypeError("Generator is already executing.");for(;i;)try{if(o=1,a&&(u=2&n[0]?a["return"]:n[0]?a["throw"]||((u=a["return"])&&u.call(a),0):a.next)&&!(u=u.call(a,n[1])).done)return u;switch(a=0,u&&(n=[2&n[0],u.value]),n[0]){case 0:case 1:u=n;break;case 4:return i.label++,{value:n[1],done:!1};case 5:i.label++,a=n[1],n=[0];continue;case 7:n=i.ops.pop(),i.trys.pop();continue;default:if(u=i.trys,!(u=u.length>0&&u[u.length-1])&&(6===n[0]||2===n[0])){i=0;continue}if(3===n[0]&&(!u||n[1]>u[0]&&n[1]<u[3])){i.label=n[1];break}if(6===n[0]&&i.label<u[1]){i.label=u[1],u=n;break}if(u&&i.label<u[2]){i.label=u[2],i.ops.push(n);break}u[2]&&i.ops.pop(),i.trys.pop();continue}n=e.call(t,i)}catch(r){n=[6,r],a=0}finally{o=u=0}if(5&n[0])throw n[1];return{value:n[0]?n[1]:void 0,done:!0}}var o,a,u,c,i={label:0,sent:function(){if(1&u[0])throw u[1];return u[1]},trys:[],ops:[]};return c={next:n(0),"throw":n(1),"return":n(2)},"function"==typeof Symbol&&(c[Symbol.iterator]=function(){return this}),c},s=function(t,e){for(var n in t)e.hasOwnProperty(n)||(e[n]=t[n])},y=function(t){var e="function"==typeof Symbol&&t[Symbol.iterator],n=0;return e?e.call(t):{next:function(){return t&&n>=t.length&&(t=void 0),{value:t&&t[n++],done:!t}}}},p=function(t,e){var n="function"==typeof Symbol&&t[Symbol.iterator];if(!n)return t;var r,o,a=n.call(t),u=[];try{for(;(void 0===e||e-->0)&&!(r=a.next()).done;)u.push(r.value)}catch(c){o={error:c}}finally{try{r&&!r.done&&(n=a["return"])&&n.call(a)}finally{if(o)throw o.error}}return u},b=function(){for(var t=[],e=0;e<arguments.length;e++)t=t.concat(p(arguments[e]));return t},_=function(){for(var t=0,e=0,n=arguments.length;n>e;e++)t+=arguments[e].length;for(var r=Array(t),o=0,e=0;n>e;e++)for(var a=arguments[e],u=0,c=a.length;c>u;u++,o++)r[o]=a[u];return r},h=function(t){return this instanceof h?(this.v=t,this):new h(t)},d=function(t,e,n){function r(t){l[t]&&(f[t]=function(e){return new Promise(function(n,r){s.push([t,e,n,r])>1||o(t,e)})})}function o(t,e){try{a(l[t](e))}catch(n){i(s[0][3],n)}}function a(t){t.value instanceof h?Promise.resolve(t.value.v).then(u,c):i(s[0][2],t)}function u(t){o("next",t)}function c(t){o("throw",t)}function i(t,e){t(e),s.shift(),s.length&&o(s[0][0],s[0][1])}if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var f,l=n.apply(t,e||[]),s=[];return f={},r("next"),r("throw"),r("return"),f[Symbol.asyncIterator]=function(){return this},f},v=function(t){function e(e,o){n[e]=t[e]?function(n){return(r=!r)?{value:h(t[e](n)),done:"return"===e}:o?o(n):n}:o}var n,r;return n={},e("next"),e("throw",function(t){throw t}),e("return"),n[Symbol.iterator]=function(){return this},n},m=function(t){function e(e){r[e]=t[e]&&function(r){return new Promise(function(o,a){r=t[e](r),n(o,a,r.done,r.value)})}}function n(t,e,n,r){Promise.resolve(r).then(function(e){t({value:e,done:n})},e)}if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var r,o=t[Symbol.asyncIterator];return o?o.call(t):(t="function"==typeof y?y(t):t[Symbol.iterator](),r={},e("next"),e("throw"),e("return"),r[Symbol.asyncIterator]=function(){return this},r)},w=function(t,e){return Object.defineProperty?Object.defineProperty(t,"raw",{value:e}):t.raw=e,t},g=function(t){if(t&&t.__esModule)return t;var e={};if(null!=t)for(var n in t)Object.hasOwnProperty.call(t,n)&&(e[n]=t[n]);return e["default"]=t,e},O=function(t){return t&&t.__esModule?t:{"default":t}},t("__extends",r),t("__assign",o),t("__rest",a),t("__decorate",u),t("__param",c),t("__metadata",i),t("__awaiter",f),t("__generator",l),t("__exportStar",s),t("__values",y),t("__read",p),t("__spread",b),t("__spreadArrays",_),t("__await",h),t("__asyncGenerator",d),t("__asyncDelegator",v),t("__asyncValues",m),t("__makeTemplateObject",w),t("__importStar",g),t("__importDefault",O)})});
/**! node_modules/monaco-editor/esm/vs/base/common/diff/diffChange.js*/
define("node_modules/monaco-editor/esm/vs/base/common/diff/diffChange",function(i,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var e=function(){function i(i,t,e,n){this.originalStart=i,this.originalLength=t,this.modifiedStart=e,this.modifiedLength=n}return i.prototype.getOriginalEnd=function(){return this.originalStart+this.originalLength},i.prototype.getModifiedEnd=function(){return this.modifiedStart+this.modifiedLength},i}();t.DiffChange=e});
/**! node_modules/monaco-editor/esm/vs/base/common/types.js*/
define("node_modules/monaco-editor/esm/vs/base/common/types",function(n,t){"use strict";function e(n){return Array.isArray?Array.isArray(n):n&&typeof n.length===m.number&&n.constructor===Array?!0:!1}function r(n){return typeof n===m.string||n instanceof String?!0:!1}function o(n){return!(typeof n!==m.object||null===n||Array.isArray(n)||n instanceof RegExp||n instanceof Date)}function i(n){return(typeof n===m.number||n instanceof Number)&&!isNaN(n)?!0:!1}function u(n){return n===!0||n===!1}function c(n){return typeof n===m.undefined}function f(n){return c(n)||null===n}function a(n){if(!o(n))return!1;for(var t in n)if(b.call(n,t))return!1;return!0}function s(n){return typeof n===m.function}function l(n,t){for(var e=Math.min(n.length,t.length),r=0;e>r;r++)d(n[r],t[r])}function d(n,t){if(r(t)){if(typeof n!==t)throw new Error("argument does not match constraint: typeof "+t)}else if(s(t)){try{if(n instanceof t)return}catch(e){}if(!f(n)&&n.constructor===t)return;if(1===t.length&&t.call(void 0,n)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}function y(n){for(var t=[],e=Object.getPrototypeOf(n);Object.prototype!==e;)t=t.concat(Object.getOwnPropertyNames(e)),e=Object.getPrototypeOf(e);return t}function p(n){return null===n?void 0:n}function g(n){return"undefined"==typeof n?null:n}Object.defineProperty(t,"__esModule",{value:!0});var m={number:"number",string:"string",undefined:"undefined",object:"object","function":"function"};t.isArray=e,t.isString=r,t.isObject=o,t.isNumber=i,t.isBoolean=u,t.isUndefined=c,t.isUndefinedOrNull=f;var b=Object.prototype.hasOwnProperty;t.isEmptyObject=a,t.isFunction=s,t.validateConstraints=l,t.validateConstraint=d,t.getAllPropertyNames=y,t.withNullAsUndefined=p,t.withUndefinedAsNull=g});
/**! node_modules/monaco-editor/esm/vs/editor/common/standalone/standaloneBase.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/standalone/standaloneBase",function(o,e){"use strict";function n(){return{editor:void 0,languages:void 0,CancellationTokenSource:m.CancellationTokenSource,Emitter:d.Emitter,KeyCode:u.KeyCode,KeyMod:v,Position:s.Position,Range:a.Range,Selection:c.Selection,SelectionDirection:u.SelectionDirection,MarkerSeverity:u.MarkerSeverity,MarkerTag:u.MarkerTag,Uri:r.URI,Token:l.Token}}Object.defineProperty(e,"__esModule",{value:!0});var t=o("node_modules/tslib/tslib");o("node_modules/monaco-editor/esm/vs/editor/common/standalone/promise-polyfill/polyfill");var m=o("node_modules/monaco-editor/esm/vs/base/common/cancellation"),d=o("node_modules/monaco-editor/esm/vs/base/common/event"),i=o("node_modules/monaco-editor/esm/vs/base/common/keyCodes"),r=o("node_modules/monaco-editor/esm/vs/base/common/uri"),s=o("node_modules/monaco-editor/esm/vs/editor/common/core/position"),a=o("node_modules/monaco-editor/esm/vs/editor/common/core/range"),c=o("node_modules/monaco-editor/esm/vs/editor/common/core/selection"),l=o("node_modules/monaco-editor/esm/vs/editor/common/core/token"),u=t.__importStar(o("node_modules/monaco-editor/esm/vs/editor/common/standalone/standaloneEnums")),v=function(){function o(){}return o.chord=function(o,e){return i.KeyChord(o,e)},o.CtrlCmd=2048,o.Shift=1024,o.Alt=512,o.WinCtrl=256,o}();e.KeyMod=v,e.createMonacoBaseAPI=n});
/**! node_modules/monaco-editor/esm/vs/editor/common/modes/supports/inplaceReplaceSupport.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/modes/supports/inplaceReplaceSupport",function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(){this._defaultValueSet=[["true","false"],["True","False"],["Private","Public","Friend","ReadOnly","Partial","Protected","WriteOnly"],["public","protected","private"]]}return e.prototype.navigateValueSet=function(e,t,a,l,n){if(e&&t){var r=this.doNavigateValueSet(t,n);if(r)return{range:e,value:r}}if(a&&l){var r=this.doNavigateValueSet(l,n);if(r)return{range:a,value:r}}return null},e.prototype.doNavigateValueSet=function(e,t){var a=this.numberReplace(e,t);return null!==a?a:this.textReplace(e,t)},e.prototype.numberReplace=function(e,t){var a=Math.pow(10,e.length-(e.lastIndexOf(".")+1)),l=Number(e),n=parseFloat(e);return isNaN(l)||isNaN(n)||l!==n?null:0!==l||t?(l=Math.floor(l*a),l+=t?a:-a,String(l/a)):null},e.prototype.textReplace=function(e,t){return this.valueSetsReplace(this._defaultValueSet,e,t)},e.prototype.valueSetsReplace=function(e,t,a){for(var l=null,n=0,r=e.length;null===l&&r>n;n++)l=this.valueSetReplace(e[n],t,a);return l},e.prototype.valueSetReplace=function(e,t,a){var l=e.indexOf(t);return l>=0?(l+=a?1:-1,0>l?l=e.length-1:l%=e.length,e[l]):null},e.INSTANCE=new e,e}();t.BasicInplaceReplace=a});
/**! node_modules/monaco-editor/esm/vs/editor/common/modes/linkComputer.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/modes/linkComputer",function(e,t){"use strict";function n(){return null===s&&(s=new c([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),s}function r(){if(null===u){u=new a.CharacterClassifier(0);for(var e=" 	<>'\"、。｡､，．：；？！＠＃＄％＆＊‘“〈《「『【〔（［｛｢｣｝］）〕】』」》〉”’｀～…",t=0;t<e.length;t++)u.set(e.charCodeAt(t),1);for(var n=".,;",t=0;t<n.length;t++)u.set(n.charCodeAt(t),2)}return u}function o(e){return e&&"function"==typeof e.getLineCount&&"function"==typeof e.getLineContent?d.computeLinks(e):[]}Object.defineProperty(t,"__esModule",{value:!0});var a=e("node_modules/monaco-editor/esm/vs/editor/common/core/characterClassifier"),i=e("node_modules/monaco-editor/esm/vs/editor/common/core/uint"),c=function(){function e(e){for(var t=0,n=0,r=0,o=e.length;o>r;r++){var a=e[r],c=a[0],s=a[1],u=a[2];s>t&&(t=s),c>n&&(n=c),u>n&&(n=u)}t++,n++;for(var d=new i.Uint8Matrix(n,t,0),r=0,o=e.length;o>r;r++){var f=e[r],c=f[0],s=f[1],u=f[2];d.set(c,s,u)}this._states=d,this._maxCharCode=t}return e.prototype.nextState=function(e,t){return 0>t||t>=this._maxCharCode?0:this._states.get(e,t)},e}();t.StateMachine=c;var s=null,u=null,d=function(){function e(){}return e._createLink=function(e,t,n,r,o){var a=o-1;do{var i=t.charCodeAt(a),c=e.get(i);if(2!==c)break;a--}while(a>r);if(r>0){var s=t.charCodeAt(r-1),u=t.charCodeAt(a);(40===s&&41===u||91===s&&93===u||123===s&&125===u)&&a--}return{range:{startLineNumber:n,startColumn:r+1,endLineNumber:n,endColumn:a+2},url:t.substring(r,a+1)}},e.computeLinks=function(t,o){void 0===o&&(o=n());for(var a=r(),i=[],c=1,s=t.getLineCount();s>=c;c++){for(var u=t.getLineContent(c),d=u.length,f=0,l=0,m=0,h=1,v=!1,C=!1,k=!1;d>f;){var g=!1,b=u.charCodeAt(f);if(13===h){var L=void 0;switch(b){case 40:v=!0,L=0;break;case 41:L=v?0:1;break;case 91:C=!0,L=0;break;case 93:L=C?0:1;break;case 123:k=!0,L=0;break;case 125:L=k?0:1;break;case 39:L=34===m||96===m?0:1;break;case 34:L=39===m||96===m?0:1;break;case 96:L=39===m||34===m?0:1;break;default:L=a.get(b)}1===L&&(i.push(e._createLink(a,u,c,l,f)),g=!0)}else if(12===h){var L=void 0;91===b?(C=!0,L=0):L=a.get(b),1===L?g=!0:h=13}else h=o.nextState(h,b),0===h&&(g=!0);g&&(h=1,v=!1,C=!1,k=!1,l=f+1,m=b),f++}13===h&&i.push(e._createLink(a,u,c,l,d))}return i},e}();t.LinkComputer=d,t.computeLinks=o});
/**! node_modules/monaco-editor/esm/vs/editor/common/model/wordHelper.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/model/wordHelper",function(e,n){"use strict";function r(e){void 0===e&&(e="");for(var r="(-?\\d*\\.\\d\\w*)|([^",t=0,o=n.USUAL_WORD_SEPARATORS;t<o.length;t++){var d=o[t];e.indexOf(d)>=0||(r+="\\"+d)}return r+="\\s]+)",new RegExp(r,"g")}function t(e){var r=n.DEFAULT_WORD_REGEXP;if(e&&e instanceof RegExp)if(e.global)r=e;else{var t="g";e.ignoreCase&&(t+="i"),e.multiline&&(t+="m"),e.unicode&&(t+="u"),r=new RegExp(e.source,t)}return r.lastIndex=0,r}function o(e,n,r,t){var o=e-1-t,d=r.lastIndexOf(" ",o-1)+1;n.lastIndex=d;for(var l;l=n.exec(r);){var i=l.index||0;if(o>=i&&n.lastIndex>=o)return{word:l[0],startColumn:t+1+i,endColumn:t+1+n.lastIndex}}return null}function d(e,n,r,t){var o=e-1-t;n.lastIndex=0;for(var d;d=n.exec(r);){var l=d.index||0;if(l>o)return null;if(n.lastIndex>=o)return{word:d[0],startColumn:t+1+l,endColumn:t+1+n.lastIndex}}return null}function l(e,n,r,t){n.lastIndex=0;var l=n.exec(r);if(!l)return null;var i=l[0].indexOf(" ")>=0?d(e,n,r,t):o(e,n,r,t);return n.lastIndex=0,i}Object.defineProperty(n,"__esModule",{value:!0}),n.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?",n.DEFAULT_WORD_REGEXP=r(),n.ensureValidWordDefinition=t,n.getWordAtText=l});
/**! node_modules/monaco-editor/esm/vs/editor/common/model/mirrorTextModel.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/model/mirrorTextModel",function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=e("node_modules/monaco-editor/esm/vs/editor/common/core/position"),i=e("node_modules/monaco-editor/esm/vs/editor/common/viewModel/prefixSumComputer"),s=function(){function e(e,t,n,i){this._uri=e,this._lines=t,this._eol=n,this._versionId=i,this._lineStarts=null}return e.prototype.dispose=function(){this._lines.length=0},e.prototype.getText=function(){return this._lines.join(this._eol)},e.prototype.onEvents=function(e){e.eol&&e.eol!==this._eol&&(this._eol=e.eol,this._lineStarts=null);for(var t=e.changes,i=0,s=t;i<s.length;i++){var r=s[i];this._acceptDeleteRange(r.range),this._acceptInsertText(new n.Position(r.range.startLineNumber,r.range.startColumn),r.text)}this._versionId=e.versionId},e.prototype._ensureLineStarts=function(){if(!this._lineStarts){for(var e=this._eol.length,t=this._lines.length,n=new Uint32Array(t),s=0;t>s;s++)n[s]=this._lines[s].length+e;this._lineStarts=new i.PrefixSumComputer(n)}},e.prototype._setLineText=function(e,t){this._lines[e]=t,this._lineStarts&&this._lineStarts.changeValue(e,this._lines[e].length+this._eol.length)},e.prototype._acceptDeleteRange=function(e){if(e.startLineNumber===e.endLineNumber){if(e.startColumn===e.endColumn)return;return void this._setLineText(e.startLineNumber-1,this._lines[e.startLineNumber-1].substring(0,e.startColumn-1)+this._lines[e.startLineNumber-1].substring(e.endColumn-1))}this._setLineText(e.startLineNumber-1,this._lines[e.startLineNumber-1].substring(0,e.startColumn-1)+this._lines[e.endLineNumber-1].substring(e.endColumn-1)),this._lines.splice(e.startLineNumber,e.endLineNumber-e.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(e.startLineNumber,e.endLineNumber-e.startLineNumber)},e.prototype._acceptInsertText=function(e,t){if(0!==t.length){var n=t.split(/\r\n|\r|\n/);if(1===n.length)return void this._setLineText(e.lineNumber-1,this._lines[e.lineNumber-1].substring(0,e.column-1)+n[0]+this._lines[e.lineNumber-1].substring(e.column-1));n[n.length-1]+=this._lines[e.lineNumber-1].substring(e.column-1),this._setLineText(e.lineNumber-1,this._lines[e.lineNumber-1].substring(0,e.column-1)+n[0]);for(var i=new Uint32Array(n.length-1),s=1;s<n.length;s++)this._lines.splice(e.lineNumber+s-1,0,n[s]),i[s-1]=n[s].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(e.lineNumber,i)}},e}();t.MirrorTextModel=s});
/**! node_modules/monaco-editor/esm/vs/editor/common/diff/diffComputer.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/diff/diffComputer",function(i,e){"use strict";function t(i,e,t,n){var r=new o.LcsDiff(i,e,t);return r.ComputeDiff(n)}function n(i){if(i.length<=1)return i;for(var e=[i[0]],t=e[0],n=1,r=i.length;r>n;n++){var o=i[n],a=o.originalStart-(t.originalStart+t.originalLength),s=o.modifiedStart-(t.modifiedStart+t.modifiedLength),u=Math.min(a,s);h>u?(t.originalLength=o.originalStart+o.originalLength-t.originalStart,t.modifiedLength=o.modifiedStart+o.modifiedLength-t.modifiedStart):(e.push(o),t=o)}return e}Object.defineProperty(e,"__esModule",{value:!0});var r=i("node_modules/tslib/tslib"),o=i("node_modules/monaco-editor/esm/vs/base/common/diff/diff"),a=r.__importStar(i("node_modules/monaco-editor/esm/vs/base/common/strings")),s=5e3,h=3,u=function(){function i(e){for(var t=[],n=[],r=0,o=e.length;o>r;r++)t[r]=i._getFirstNonBlankColumn(e[r],1),n[r]=i._getLastNonBlankColumn(e[r],1);this._lines=e,this._startColumns=t,this._endColumns=n}return i.prototype.getLength=function(){return this._lines.length},i.prototype.getElementAtIndex=function(i){return this._lines[i].substring(this._startColumns[i]-1,this._endColumns[i]-1)},i.prototype.getStartLineNumber=function(i){return i+1},i.prototype.getEndLineNumber=function(i){return i+1},i._getFirstNonBlankColumn=function(i,e){var t=a.firstNonWhitespaceIndex(i);return-1===t?e:t+1},i._getLastNonBlankColumn=function(i,e){var t=a.lastNonWhitespaceIndex(i);return-1===t?e:t+2},i.prototype.getCharSequence=function(i,e,t){for(var n=[],r=[],o=[],a=0,s=e;t>=s;s++)for(var h=this._lines[s],u=i?this._startColumns[s]:1,m=i?this._endColumns[s]:h.length+1,g=u;m>g;g++)n[a]=h.charCodeAt(g-1),r[a]=s+1,o[a]=g,a++;return new d(n,r,o)},i}(),d=function(){function i(i,e,t){this._charCodes=i,this._lineNumbers=e,this._columns=t}return i.prototype.getLength=function(){return this._charCodes.length},i.prototype.getElementAtIndex=function(i){return this._charCodes[i]},i.prototype.getStartLineNumber=function(i){return this._lineNumbers[i]},i.prototype.getStartColumn=function(i){return this._columns[i]},i.prototype.getEndLineNumber=function(i){return this._lineNumbers[i]},i.prototype.getEndColumn=function(i){return this._columns[i]+1},i}(),m=function(){function i(i,e,t,n,r,o,a,s){this.originalStartLineNumber=i,this.originalStartColumn=e,this.originalEndLineNumber=t,this.originalEndColumn=n,this.modifiedStartLineNumber=r,this.modifiedStartColumn=o,this.modifiedEndLineNumber=a,this.modifiedEndColumn=s}return i.createFromDiffChange=function(e,t,n){var r,o,a,s,h,u,d,m;return 0===e.originalLength?(r=0,o=0,a=0,s=0):(r=t.getStartLineNumber(e.originalStart),o=t.getStartColumn(e.originalStart),a=t.getEndLineNumber(e.originalStart+e.originalLength-1),s=t.getEndColumn(e.originalStart+e.originalLength-1)),0===e.modifiedLength?(h=0,u=0,d=0,m=0):(h=n.getStartLineNumber(e.modifiedStart),u=n.getStartColumn(e.modifiedStart),d=n.getEndLineNumber(e.modifiedStart+e.modifiedLength-1),m=n.getEndColumn(e.modifiedStart+e.modifiedLength-1)),new i(r,o,a,s,h,u,d,m)},i}(),g=function(){function i(i,e,t,n,r){this.originalStartLineNumber=i,this.originalEndLineNumber=e,this.modifiedStartLineNumber=t,this.modifiedEndLineNumber=n,this.charChanges=r}return i.createFromDiffResult=function(e,r,o,a,s,h,u){var d,g,l,f,c=void 0;if(0===r.originalLength?(d=o.getStartLineNumber(r.originalStart)-1,g=0):(d=o.getStartLineNumber(r.originalStart),g=o.getEndLineNumber(r.originalStart+r.originalLength-1)),0===r.modifiedLength?(l=a.getStartLineNumber(r.modifiedStart)-1,f=0):(l=a.getStartLineNumber(r.modifiedStart),f=a.getEndLineNumber(r.modifiedStart+r.modifiedLength-1)),h&&0!==r.originalLength&&0!==r.modifiedLength&&s()){var C=o.getCharSequence(e,r.originalStart,r.originalStart+r.originalLength-1),L=a.getCharSequence(e,r.modifiedStart,r.modifiedStart+r.modifiedLength-1),p=t(C,L,s,!0);u&&(p=n(p)),c=[];for(var S=0,b=p.length;b>S;S++)c.push(m.createFromDiffChange(p[S],C,L))}return new i(d,g,l,f,c)},i}(),l=function(){function i(i,e,t){this.shouldComputeCharChanges=t.shouldComputeCharChanges,this.shouldPostProcessCharChanges=t.shouldPostProcessCharChanges,this.shouldIgnoreTrimWhitespace=t.shouldIgnoreTrimWhitespace,this.shouldMakePrettyDiff=t.shouldMakePrettyDiff,this.maximumRunTimeMs=s,this.originalLines=i,this.modifiedLines=e,this.original=new u(i),this.modified=new u(e)}return i.prototype.computeDiff=function(){if(1===this.original.getLength()&&0===this.original.getElementAtIndex(0).length)return[{originalStartLineNumber:1,originalEndLineNumber:1,modifiedStartLineNumber:1,modifiedEndLineNumber:this.modified.getLength(),charChanges:[{modifiedEndColumn:0,modifiedEndLineNumber:0,modifiedStartColumn:0,modifiedStartLineNumber:0,originalEndColumn:0,originalEndLineNumber:0,originalStartColumn:0,originalStartLineNumber:0}]}];if(1===this.modified.getLength()&&0===this.modified.getElementAtIndex(0).length)return[{originalStartLineNumber:1,originalEndLineNumber:this.original.getLength(),modifiedStartLineNumber:1,modifiedEndLineNumber:1,charChanges:[{modifiedEndColumn:0,modifiedEndLineNumber:0,modifiedStartColumn:0,modifiedStartLineNumber:0,originalEndColumn:0,originalEndLineNumber:0,originalStartColumn:0,originalStartLineNumber:0}]}];this.computationStartTime=(new Date).getTime();var i=t(this.original,this.modified,this._continueProcessingPredicate.bind(this),this.shouldMakePrettyDiff);if(this.shouldIgnoreTrimWhitespace){for(var e=[],n=0,r=i.length;r>n;n++)e.push(g.createFromDiffResult(this.shouldIgnoreTrimWhitespace,i[n],this.original,this.modified,this._continueProcessingPredicate.bind(this),this.shouldComputeCharChanges,this.shouldPostProcessCharChanges));return e}for(var o=[],a=0,s=0,n=-1,h=i.length;h>n;n++){for(var d=h>n+1?i[n+1]:null,m=d?d.originalStart:this.originalLines.length,l=d?d.modifiedStart:this.modifiedLines.length;m>a&&l>s;){var f=this.originalLines[a],c=this.modifiedLines[s];if(f!==c){for(var C=u._getFirstNonBlankColumn(f,1),L=u._getFirstNonBlankColumn(c,1);C>1&&L>1;){var p=f.charCodeAt(C-2),S=c.charCodeAt(L-2);if(p!==S)break;C--,L--}(C>1||L>1)&&this._pushTrimWhitespaceCharChange(o,a+1,1,C,s+1,1,L);for(var b=u._getLastNonBlankColumn(f,1),N=u._getLastNonBlankColumn(c,1),_=f.length+1,E=c.length+1;_>b&&E>N;){var p=f.charCodeAt(b-1),S=f.charCodeAt(N-1);if(p!==S)break;b++,N++}(_>b||E>N)&&this._pushTrimWhitespaceCharChange(o,a+1,b,_,s+1,N,E)}a++,s++}d&&(o.push(g.createFromDiffResult(this.shouldIgnoreTrimWhitespace,d,this.original,this.modified,this._continueProcessingPredicate.bind(this),this.shouldComputeCharChanges,this.shouldPostProcessCharChanges)),a+=d.originalLength,s+=d.modifiedLength)}return o},i.prototype._pushTrimWhitespaceCharChange=function(i,e,t,n,r,o,a){if(!this._mergeTrimWhitespaceCharChange(i,e,t,n,r,o,a)){var s=void 0;this.shouldComputeCharChanges&&(s=[new m(e,t,e,n,r,o,r,a)]),i.push(new g(e,e,r,r,s))}},i.prototype._mergeTrimWhitespaceCharChange=function(i,e,t,n,r,o,a){var s=i.length;if(0===s)return!1;var h=i[s-1];return 0===h.originalEndLineNumber||0===h.modifiedEndLineNumber?!1:h.originalEndLineNumber+1===e&&h.modifiedEndLineNumber+1===r?(h.originalEndLineNumber=e,h.modifiedEndLineNumber=r,this.shouldComputeCharChanges&&h.charChanges.push(new m(e,t,e,n,r,o,r,a)),!0):!1},i.prototype._continueProcessingPredicate=function(){if(0===this.maximumRunTimeMs)return!0;var i=(new Date).getTime();return i-this.computationStartTime<this.maximumRunTimeMs},i}();e.DiffComputer=l});
/**! node_modules/monaco-editor/esm/vs/editor/common/core/range.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/core/range",function(n,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t=n("node_modules/monaco-editor/esm/vs/editor/common/core/position"),r=function(){function n(n,e,t,r){n>t||n===t&&e>r?(this.startLineNumber=t,this.startColumn=r,this.endLineNumber=n,this.endColumn=e):(this.startLineNumber=n,this.startColumn=e,this.endLineNumber=t,this.endColumn=r)}return n.prototype.isEmpty=function(){return n.isEmpty(this)},n.isEmpty=function(n){return n.startLineNumber===n.endLineNumber&&n.startColumn===n.endColumn},n.prototype.containsPosition=function(e){return n.containsPosition(this,e)},n.containsPosition=function(n,e){return e.lineNumber<n.startLineNumber||e.lineNumber>n.endLineNumber?!1:e.lineNumber===n.startLineNumber&&e.column<n.startColumn?!1:e.lineNumber===n.endLineNumber&&e.column>n.endColumn?!1:!0},n.prototype.containsRange=function(e){return n.containsRange(this,e)},n.containsRange=function(n,e){return e.startLineNumber<n.startLineNumber||e.endLineNumber<n.startLineNumber?!1:e.startLineNumber>n.endLineNumber||e.endLineNumber>n.endLineNumber?!1:e.startLineNumber===n.startLineNumber&&e.startColumn<n.startColumn?!1:e.endLineNumber===n.endLineNumber&&e.endColumn>n.endColumn?!1:!0},n.prototype.plusRange=function(e){return n.plusRange(this,e)},n.plusRange=function(e,t){var r,u,i,o;return t.startLineNumber<e.startLineNumber?(r=t.startLineNumber,u=t.startColumn):t.startLineNumber===e.startLineNumber?(r=t.startLineNumber,u=Math.min(t.startColumn,e.startColumn)):(r=e.startLineNumber,u=e.startColumn),t.endLineNumber>e.endLineNumber?(i=t.endLineNumber,o=t.endColumn):t.endLineNumber===e.endLineNumber?(i=t.endLineNumber,o=Math.max(t.endColumn,e.endColumn)):(i=e.endLineNumber,o=e.endColumn),new n(r,u,i,o)},n.prototype.intersectRanges=function(e){return n.intersectRanges(this,e)},n.intersectRanges=function(e,t){var r=e.startLineNumber,u=e.startColumn,i=e.endLineNumber,o=e.endColumn,m=t.startLineNumber,s=t.startColumn,a=t.endLineNumber,b=t.endColumn;return m>r?(r=m,u=s):r===m&&(u=Math.max(u,s)),i>a?(i=a,o=b):i===a&&(o=Math.min(o,b)),r>i?null:r===i&&u>o?null:new n(r,u,i,o)},n.prototype.equalsRange=function(e){return n.equalsRange(this,e)},n.equalsRange=function(n,e){return!!n&&!!e&&n.startLineNumber===e.startLineNumber&&n.startColumn===e.startColumn&&n.endLineNumber===e.endLineNumber&&n.endColumn===e.endColumn},n.prototype.getEndPosition=function(){return new t.Position(this.endLineNumber,this.endColumn)},n.prototype.getStartPosition=function(){return new t.Position(this.startLineNumber,this.startColumn)},n.prototype.toString=function(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"},n.prototype.setEndPosition=function(e,t){return new n(this.startLineNumber,this.startColumn,e,t)},n.prototype.setStartPosition=function(e,t){return new n(e,t,this.endLineNumber,this.endColumn)},n.prototype.collapseToStart=function(){return n.collapseToStart(this)},n.collapseToStart=function(e){return new n(e.startLineNumber,e.startColumn,e.startLineNumber,e.startColumn)},n.fromPositions=function(e,t){return void 0===t&&(t=e),new n(e.lineNumber,e.column,t.lineNumber,t.column)},n.lift=function(e){return e?new n(e.startLineNumber,e.startColumn,e.endLineNumber,e.endColumn):null},n.isIRange=function(n){return n&&"number"==typeof n.startLineNumber&&"number"==typeof n.startColumn&&"number"==typeof n.endLineNumber&&"number"==typeof n.endColumn},n.areIntersectingOrTouching=function(n,e){return n.endLineNumber<e.startLineNumber||n.endLineNumber===e.startLineNumber&&n.endColumn<e.startColumn?!1:e.endLineNumber<n.startLineNumber||e.endLineNumber===n.startLineNumber&&e.endColumn<n.startColumn?!1:!0},n.areIntersecting=function(n,e){return n.endLineNumber<e.startLineNumber||n.endLineNumber===e.startLineNumber&&n.endColumn<=e.startColumn?!1:e.endLineNumber<n.startLineNumber||e.endLineNumber===n.startLineNumber&&e.endColumn<=n.startColumn?!1:!0},n.compareRangesUsingStarts=function(n,e){if(n&&e){var t=0|n.startLineNumber,r=0|e.startLineNumber;if(t===r){var u=0|n.startColumn,i=0|e.startColumn;if(u===i){var o=0|n.endLineNumber,m=0|e.endLineNumber;if(o===m){var s=0|n.endColumn,a=0|e.endColumn;return s-a}return o-m}return u-i}return t-r}var b=n?1:0,l=e?1:0;return b-l},n.compareRangesUsingEnds=function(n,e){return n.endLineNumber===e.endLineNumber?n.endColumn===e.endColumn?n.startLineNumber===e.startLineNumber?n.startColumn-e.startColumn:n.startLineNumber-e.startLineNumber:n.endColumn-e.endColumn:n.endLineNumber-e.endLineNumber},n.spansMultipleLines=function(n){return n.endLineNumber>n.startLineNumber},n}();e.Range=r});
/**! node_modules/monaco-editor/esm/vs/editor/common/core/position.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/core/position",function(e,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0});var i=function(){function e(e,n){this.lineNumber=e,this.column=n}return e.prototype.with=function(n,i){return void 0===n&&(n=this.lineNumber),void 0===i&&(i=this.column),n===this.lineNumber&&i===this.column?this:new e(n,i)},e.prototype.delta=function(e,n){return void 0===e&&(e=0),void 0===n&&(n=0),this.with(this.lineNumber+e,this.column+n)},e.prototype.equals=function(n){return e.equals(this,n)},e.equals=function(e,n){return e||n?!!e&&!!n&&e.lineNumber===n.lineNumber&&e.column===n.column:!0},e.prototype.isBefore=function(n){return e.isBefore(this,n)},e.isBefore=function(e,n){return e.lineNumber<n.lineNumber?!0:n.lineNumber<e.lineNumber?!1:e.column<n.column},e.prototype.isBeforeOrEqual=function(n){return e.isBeforeOrEqual(this,n)},e.isBeforeOrEqual=function(e,n){return e.lineNumber<n.lineNumber?!0:n.lineNumber<e.lineNumber?!1:e.column<=n.column},e.compare=function(e,n){var i=0|e.lineNumber,r=0|n.lineNumber;if(i===r){var t=0|e.column,u=0|n.column;return t-u}return i-r},e.prototype.clone=function(){return new e(this.lineNumber,this.column)},e.prototype.toString=function(){return"("+this.lineNumber+","+this.column+")"},e.lift=function(n){return new e(n.lineNumber,n.column)},e.isIPosition=function(e){return e&&"number"==typeof e.lineNumber&&"number"==typeof e.column},e}();n.Position=i});
/**! node_modules/monaco-editor/esm/vs/base/common/uri.js*/
define("node_modules/monaco-editor/esm/vs/base/common/uri",function(t,e){"use strict";function r(t,e){if(!t.scheme){if(e||y)throw new Error('[UriError]: Scheme is missing: {scheme: "", authority: "'+t.authority+'", path: "'+t.path+'", query: "'+t.query+'", fragment: "'+t.fragment+'"}');console.warn('[UriError]: Scheme is missing: {scheme: "", authority: "'+t.authority+'", path: "'+t.path+'", query: "'+t.query+'", fragment: "'+t.fragment+'"}')}if(t.scheme&&!p.test(t.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(t.path)if(t.authority){if(!m.test(t.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(d.test(t.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}function o(t,e){return e||y?t||l:(t||(console.trace("BAD uri lacks scheme, falling back to file-scheme."),t="file"),t)}function n(t,e){switch(t){case"https":case"http":case"file":e?e[0]!==g&&(e=g+e):e=g}return e}function i(t,e){for(var r=void 0,o=-1,n=0;n<t.length;n++){var i=t.charCodeAt(n);if(i>=97&&122>=i||i>=65&&90>=i||i>=48&&57>=i||45===i||46===i||95===i||126===i||e&&47===i)-1!==o&&(r+=encodeURIComponent(t.substring(o,n)),o=-1),void 0!==r&&(r+=t.charAt(n));else{void 0===r&&(r=t.substr(0,n));var h=_[i];void 0!==h?(-1!==o&&(r+=encodeURIComponent(t.substring(o,n)),o=-1),r+=h):-1===o&&(o=n)}}return-1!==o&&(r+=encodeURIComponent(t.substring(o))),void 0!==r?r:t}function h(t){for(var e=void 0,r=0;r<t.length;r++){var o=t.charCodeAt(r);35===o||63===o?(void 0===e&&(e=t.substr(0,r)),e+=_[o]):void 0!==e&&(e+=t[r])}return void 0!==e?e:t}function s(t){var e;return e=t.authority&&t.path.length>1&&"file"===t.scheme?"//"+t.authority+t.path:47===t.path.charCodeAt(0)&&(t.path.charCodeAt(1)>=65&&t.path.charCodeAt(1)<=90||t.path.charCodeAt(1)>=97&&t.path.charCodeAt(1)<=122)&&58===t.path.charCodeAt(2)?t.path[1].toLowerCase()+t.path.substr(2):t.path,c.isWindows&&(e=e.replace(/\//g,"\\")),e}function a(t,e){var r=e?h:i,o="",n=t.scheme,s=t.authority,a=t.path,u=t.query,f=t.fragment;if(n&&(o+=n,o+=":"),(s||"file"===n)&&(o+=g,o+=g),s){var c=s.indexOf("@");if(-1!==c){var p=s.substr(0,c);s=s.substr(c+1),c=p.indexOf(":"),-1===c?o+=r(p,!1):(o+=r(p.substr(0,c),!1),o+=":",o+=r(p.substr(c+1),!1)),o+="@"}s=s.toLowerCase(),c=s.indexOf(":"),-1===c?o+=r(s,!1):(o+=r(s.substr(0,c),!1),o+=s.substr(c))}if(a){if(a.length>=3&&47===a.charCodeAt(0)&&58===a.charCodeAt(2)){var m=a.charCodeAt(1);m>=65&&90>=m&&(a="/"+String.fromCharCode(m+32)+":"+a.substr(3))}else if(a.length>=2&&58===a.charCodeAt(1)){var m=a.charCodeAt(0);m>=65&&90>=m&&(a=String.fromCharCode(m+32)+":"+a.substr(2))}o+=r(a,!0)}return u&&(o+="?",o+=r(u,!1)),f&&(o+="#",o+=e?f:i(f,!1)),o}Object.defineProperty(e,"__esModule",{value:!0});var u,f=this&&this.__extends||function(){var t=function(e,r){return(t=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(t,e){t.__proto__=e}||function(t,e){for(var r in e)e.hasOwnProperty(r)&&(t[r]=e[r])})(e,r)};return function(e,r){function o(){this.constructor=e}t(e,r),e.prototype=null===r?Object.create(r):(o.prototype=r.prototype,new o)}}(),c=t("node_modules/monaco-editor/esm/vs/base/common/platform"),p=/^\w[\w\d+.-]*$/,m=/^\//,d=/^\/\//,y=!0,l="",g="/",v=/^(([^:\/?#]+?):)?(\/\/([^\/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/,b=function(){function t(t,e,i,h,s,a){void 0===a&&(a=!1),"object"==typeof t?(this.scheme=t.scheme||l,this.authority=t.authority||l,this.path=t.path||l,this.query=t.query||l,this.fragment=t.fragment||l):(this.scheme=o(t,a),this.authority=e||l,this.path=n(this.scheme,i||l),this.query=h||l,this.fragment=s||l,r(this,a))}return t.isUri=function(e){return e instanceof t?!0:e?"string"==typeof e.authority&&"string"==typeof e.fragment&&"string"==typeof e.path&&"string"==typeof e.query&&"string"==typeof e.scheme&&"function"==typeof e.fsPath&&"function"==typeof e.with&&"function"==typeof e.toString:!1},Object.defineProperty(t.prototype,"fsPath",{get:function(){return s(this)},enumerable:!0,configurable:!0}),t.prototype.with=function(t){if(!t)return this;var e=t.scheme,r=t.authority,o=t.path,n=t.query,i=t.fragment;return void 0===e?e=this.scheme:null===e&&(e=l),void 0===r?r=this.authority:null===r&&(r=l),void 0===o?o=this.path:null===o&&(o=l),void 0===n?n=this.query:null===n&&(n=l),void 0===i?i=this.fragment:null===i&&(i=l),e===this.scheme&&r===this.authority&&o===this.path&&n===this.query&&i===this.fragment?this:new w(e,r,o,n,i)},t.parse=function(t,e){void 0===e&&(e=!1);var r=v.exec(t);return r?new w(r[2]||l,decodeURIComponent(r[4]||l),decodeURIComponent(r[5]||l),decodeURIComponent(r[7]||l),decodeURIComponent(r[9]||l),e):new w(l,l,l,l,l)},t.file=function(t){var e=l;if(c.isWindows&&(t=t.replace(/\\/g,g)),t[0]===g&&t[1]===g){var r=t.indexOf(g,2);-1===r?(e=t.substring(2),t=g):(e=t.substring(2,r),t=t.substring(r)||g)}return new w("file",e,t,l,l)},t.from=function(t){return new w(t.scheme,t.authority,t.path,t.query,t.fragment)},t.prototype.toString=function(t){return void 0===t&&(t=!1),a(this,t)},t.prototype.toJSON=function(){return this},t.revive=function(e){if(e){if(e instanceof t)return e;var r=new w(e);return r._fsPath=e.fsPath,r._formatted=e.external,r}return e},t}();e.URI=b;var w=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e._formatted=null,e._fsPath=null,e}return f(e,t),Object.defineProperty(e.prototype,"fsPath",{get:function(){return this._fsPath||(this._fsPath=s(this)),this._fsPath},enumerable:!0,configurable:!0}),e.prototype.toString=function(t){return void 0===t&&(t=!1),t?a(this,!0):(this._formatted||(this._formatted=a(this,!1)),this._formatted)},e.prototype.toJSON=function(){var t={$mid:1};return this._fsPath&&(t.fsPath=this._fsPath),this._formatted&&(t.external=this._formatted),this.path&&(t.path=this.path),this.scheme&&(t.scheme=this.scheme),this.authority&&(t.authority=this.authority),this.query&&(t.query=this.query),this.fragment&&(t.fragment=this.fragment),t},e}(b),_=(u={},u[58]="%3A",u[47]="%2F",u[63]="%3F",u[35]="%23",u[91]="%5B",u[93]="%5D",u[64]="%40",u[33]="%21",u[36]="%24",u[38]="%26",u[39]="%27",u[40]="%28",u[41]="%29",u[42]="%2A",u[43]="%2B",u[44]="%2C",u[59]="%3B",u[61]="%3D",u[32]="%20",u)});
/**! node_modules/monaco-editor/esm/vs/base/common/platform.js*/
define("node_modules/monaco-editor/esm/vs/base/common/platform",function(e,o){"use strict";function i(e){return null===v&&(v=o.globals.setImmediate?o.globals.setImmediate.bind(o.globals):o.globals.setTimeout.bind(o.globals)),v(e)}Object.defineProperty(o,"__esModule",{value:!0});var a="en",s=!1,t=!1,n=!1,l=!1,d=!1,b=void 0,r=a,f=!1;if("object"!=typeof navigator||f);else{var g=navigator.userAgent;s=g.indexOf("Windows")>=0,t=g.indexOf("Macintosh")>=0,n=g.indexOf("Linux")>=0,d=!0,b=navigator.language,r=b}var u=0;l&&(t?u=1:s?u=3:n&&(u=2)),o.isWindows=s,o.isMacintosh=t,o.isLinux=n,o.isNative=l,o.isWeb=d;var m="object"==typeof self?self:"object"==typeof global?global:{};o.globals=m;var v=null;o.setImmediate=i,o.OS=t?2:s?1:3});
/**! node_modules/monaco-editor/esm/vs/base/common/iterator.js*/
define("node_modules/monaco-editor/esm/vs/base/common/iterator",function(t,n){"use strict";function r(t){return Array.isArray(t)?n.Iterator.fromArray(t):t}Object.defineProperty(n,"__esModule",{value:!0});var e=this&&this.__extends||function(){var t=function(n,r){return(t=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(t,n){t.__proto__=n}||function(t,n){for(var r in n)n.hasOwnProperty(r)&&(t[r]=n[r])})(n,r)};return function(n,r){function e(){this.constructor=n}t(n,r),n.prototype=null===r?Object.create(r):(e.prototype=r.prototype,new e)}}();n.FIN={done:!0,value:void 0},function(t){function r(){return s}function e(t,r,e){return void 0===r&&(r=0),void 0===e&&(e=t.length),{next:function(){return r>=e?n.FIN:{done:!1,value:t[r++]}}}}function o(n){return n?Array.isArray(n)?t.fromArray(n):n:t.empty()}function i(t,r){return{next:function(){var e=t.next();return e.done?n.FIN:{done:!1,value:r(e.value)}}}}function u(t,r){return{next:function(){for(;;){var e=t.next();if(e.done)return n.FIN;if(r(e.value))return{done:!1,value:e.value}}}}}function a(t,n){for(var r=t.next();!r.done;r=t.next())n(r.value)}function c(t){var n=[];return a(t,function(t){return n.push(t)}),n}var s={next:function(){return n.FIN}};t.empty=r,t.fromArray=e,t.from=o,t.map=i,t.filter=u,t.forEach=a,t.collect=c}(n.Iterator||(n.Iterator={})),n.getSequenceIterator=r;var o=function(){function t(t,n,r,e){void 0===n&&(n=0),void 0===r&&(r=t.length),void 0===e&&(e=n-1),this.items=t,this.start=n,this.end=r,this.index=e}return t.prototype.next=function(){return this.index=Math.min(this.index+1,this.end),this.current()},t.prototype.current=function(){return this.index===this.start-1||this.index===this.end?null:this.items[this.index]},t}();n.ArrayIterator=o;var i=function(t){function n(n,r,e,o){return void 0===r&&(r=0),void 0===e&&(e=n.length),void 0===o&&(o=r-1),t.call(this,n,r,e,o)||this}return e(n,t),n.prototype.current=function(){return t.prototype.current.call(this)},n.prototype.previous=function(){return this.index=Math.max(this.index-1,this.start-1),this.current()},n.prototype.first=function(){return this.index=this.start,this.current()},n.prototype.last=function(){return this.index=this.end-1,this.current()},n.prototype.parent=function(){return null},n}(o);n.ArrayNavigator=i;var u=function(){function t(t,n){this.iterator=t,this.fn=n}return t.prototype.next=function(){return this.fn(this.iterator.next())},t}();n.MappedIterator=u});
/**! node_modules/monaco-editor/esm/vs/base/common/diff/diff.js*/
define("node_modules/monaco-editor/esm/vs/base/common/diff/diff",function(t,e){"use strict";function i(t){return{getLength:function(){return t.length},getElementAtIndex:function(e){return t.charCodeAt(e)}}}function n(t,e,n){return new d(i(t),i(e)).ComputeDiff(n)}Object.defineProperty(e,"__esModule",{value:!0});var r=t("node_modules/monaco-editor/esm/vs/base/common/diff/diffChange");e.stringDiff=n;var o=function(){function t(){}return t.Assert=function(t,e){if(!t)throw new Error(e)},t}();e.Debug=o;var a=function(){function t(){}return t.Copy=function(t,e,i,n,r){for(var o=0;r>o;o++)i[n+o]=t[e+o]},t}();e.MyArray=a;var h=1447,s=function(){function t(){this.m_changes=[],this.m_originalStart=Number.MAX_VALUE,this.m_modifiedStart=Number.MAX_VALUE,this.m_originalCount=0,this.m_modifiedCount=0}return t.prototype.MarkNextChange=function(){(this.m_originalCount>0||this.m_modifiedCount>0)&&this.m_changes.push(new r.DiffChange(this.m_originalStart,this.m_originalCount,this.m_modifiedStart,this.m_modifiedCount)),this.m_originalCount=0,this.m_modifiedCount=0,this.m_originalStart=Number.MAX_VALUE,this.m_modifiedStart=Number.MAX_VALUE},t.prototype.AddOriginalElement=function(t,e){this.m_originalStart=Math.min(this.m_originalStart,t),this.m_modifiedStart=Math.min(this.m_modifiedStart,e),this.m_originalCount++},t.prototype.AddModifiedElement=function(t,e){this.m_originalStart=Math.min(this.m_originalStart,t),this.m_modifiedStart=Math.min(this.m_modifiedStart,e),this.m_modifiedCount++},t.prototype.getChanges=function(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes},t.prototype.getReverseChanges=function(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes.reverse(),this.m_changes},t}(),d=function(){function t(t,e,i){void 0===i&&(i=null),this.OriginalSequence=t,this.ModifiedSequence=e,this.ContinueProcessingPredicate=i,this.m_forwardHistory=[],this.m_reverseHistory=[]}return t.prototype.ElementsAreEqual=function(t,e){return this.OriginalSequence.getElementAtIndex(t)===this.ModifiedSequence.getElementAtIndex(e)},t.prototype.OriginalElementsAreEqual=function(t,e){return this.OriginalSequence.getElementAtIndex(t)===this.OriginalSequence.getElementAtIndex(e)},t.prototype.ModifiedElementsAreEqual=function(t,e){return this.ModifiedSequence.getElementAtIndex(t)===this.ModifiedSequence.getElementAtIndex(e)},t.prototype.ComputeDiff=function(t){return this._ComputeDiff(0,this.OriginalSequence.getLength()-1,0,this.ModifiedSequence.getLength()-1,t)},t.prototype._ComputeDiff=function(t,e,i,n,r){var o=[!1],a=this.ComputeDiffRecursive(t,e,i,n,o);return r?this.PrettifyChanges(a):a},t.prototype.ComputeDiffRecursive=function(t,e,i,n,a){for(a[0]=!1;e>=t&&n>=i&&this.ElementsAreEqual(t,i);)t++,i++;for(;e>=t&&n>=i&&this.ElementsAreEqual(e,n);)e--,n--;if(t>e||i>n){var h=void 0;return n>=i?(o.Assert(t===e+1,"originalStart should only be one more than originalEnd"),h=[new r.DiffChange(t,0,i,n-i+1)]):e>=t?(o.Assert(i===n+1,"modifiedStart should only be one more than modifiedEnd"),h=[new r.DiffChange(t,e-t+1,i,0)]):(o.Assert(t===e+1,"originalStart should only be one more than originalEnd"),o.Assert(i===n+1,"modifiedStart should only be one more than modifiedEnd"),h=[]),h}var s=[0],d=[0],g=this.ComputeRecursionPoint(t,e,i,n,s,d,a),f=s[0],u=d[0];if(null!==g)return g;if(!a[0]){var l=this.ComputeDiffRecursive(t,f,i,u,a),m=[];return m=a[0]?[new r.DiffChange(f+1,e-(f+1)+1,u+1,n-(u+1)+1)]:this.ComputeDiffRecursive(f+1,e,u+1,n,a),this.ConcatenateChanges(l,m)}return[new r.DiffChange(t,e-t+1,i,n-i+1)]},t.prototype.WALKTRACE=function(t,e,i,n,o,a,h,d,g,f,u,l,m,c,p,C,y,S){var _,A=null,v=null,E=new s,L=e,M=i,q=m[0]-C[0]-n,O=Number.MIN_VALUE,w=this.m_forwardHistory.length-1;do _=q+t,_===L||M>_&&g[_-1]<g[_+1]?(u=g[_+1],c=u-q-n,O>u&&E.MarkNextChange(),O=u,E.AddModifiedElement(u+1,c),q=_+1-t):(u=g[_-1]+1,c=u-q-n,O>u&&E.MarkNextChange(),O=u-1,E.AddOriginalElement(u,c+1),q=_-1-t),w>=0&&(g=this.m_forwardHistory[w],t=g[0],L=1,M=g.length-1);while(--w>=-1);if(A=E.getReverseChanges(),S[0]){var D=m[0]+1,I=C[0]+1;if(null!==A&&A.length>0){var b=A[A.length-1];D=Math.max(D,b.getOriginalEnd()),I=Math.max(I,b.getModifiedEnd())}v=[new r.DiffChange(D,l-D+1,I,p-I+1)]}else{E=new s,L=a,M=h,q=m[0]-C[0]-d,O=Number.MAX_VALUE,w=y?this.m_reverseHistory.length-1:this.m_reverseHistory.length-2;do _=q+o,_===L||M>_&&f[_-1]>=f[_+1]?(u=f[_+1]-1,c=u-q-d,u>O&&E.MarkNextChange(),O=u+1,E.AddOriginalElement(u+1,c+1),q=_+1-o):(u=f[_-1],c=u-q-d,u>O&&E.MarkNextChange(),O=u,E.AddModifiedElement(u+1,c+1),q=_-1-o),w>=0&&(f=this.m_reverseHistory[w],o=f[0],L=1,M=f.length-1);while(--w>=-1);v=E.getChanges()}return this.ConcatenateChanges(A,v)},t.prototype.ComputeRecursionPoint=function(t,e,i,n,o,s,d){var g,f=0,u=0,l=0,m=0,c=0,p=0;t--,i--,o[0]=0,s[0]=0,this.m_forwardHistory=[],this.m_reverseHistory=[];var C=e-t+(n-i),y=C+1,S=new Array(y),_=new Array(y),A=n-i,v=e-t,E=t-i,L=e-n,M=v-A,q=M%2===0;S[A]=t,_[v]=e,d[0]=!1;var O,w;for(g=1;C/2+1>=g;g++){var D=0,I=0;for(l=this.ClipDiagonalBound(A-g,g,A,y),m=this.ClipDiagonalBound(A+g,g,A,y),O=l;m>=O;O+=2){for(f=O===l||m>O&&S[O-1]<S[O+1]?S[O+1]:S[O-1]+1,u=f-(O-A)-E,w=f;e>f&&n>u&&this.ElementsAreEqual(f+1,u+1);)f++,u++;if(S[O]=f,f+u>D+I&&(D=f,I=u),!q&&Math.abs(O-v)<=g-1&&f>=_[O])return o[0]=f,s[0]=u,w<=_[O]&&h>0&&h+1>=g?this.WALKTRACE(A,l,m,E,v,c,p,L,S,_,f,e,o,u,n,s,q,d):null}var b=(D-t+(I-i)-g)/2;if(null!==this.ContinueProcessingPredicate&&!this.ContinueProcessingPredicate(D,this.OriginalSequence,b))return d[0]=!0,o[0]=D,s[0]=I,b>0&&h>0&&h+1>=g?this.WALKTRACE(A,l,m,E,v,c,p,L,S,_,f,e,o,u,n,s,q,d):(t++,i++,[new r.DiffChange(t,e-t+1,i,n-i+1)]);for(c=this.ClipDiagonalBound(v-g,g,v,y),p=this.ClipDiagonalBound(v+g,g,v,y),O=c;p>=O;O+=2){for(f=O===c||p>O&&_[O-1]>=_[O+1]?_[O+1]-1:_[O-1],u=f-(O-v)-L,w=f;f>t&&u>i&&this.ElementsAreEqual(f,u);)f--,u--;if(_[O]=f,q&&Math.abs(O-A)<=g&&f<=S[O])return o[0]=f,s[0]=u,w>=S[O]&&h>0&&h+1>=g?this.WALKTRACE(A,l,m,E,v,c,p,L,S,_,f,e,o,u,n,s,q,d):null}if(h>=g){var B=new Array(m-l+2);B[0]=A-l+1,a.Copy(S,l,B,1,m-l+1),this.m_forwardHistory.push(B),B=new Array(p-c+2),B[0]=v-c+1,a.Copy(_,c,B,1,p-c+1),this.m_reverseHistory.push(B)}}return this.WALKTRACE(A,l,m,E,v,c,p,L,S,_,f,e,o,u,n,s,q,d)},t.prototype.PrettifyChanges=function(t){for(var e=0;e<t.length;e++){for(var i=t[e],n=e<t.length-1?t[e+1].originalStart:this.OriginalSequence.getLength(),r=e<t.length-1?t[e+1].modifiedStart:this.ModifiedSequence.getLength(),o=i.originalLength>0,a=i.modifiedLength>0;i.originalStart+i.originalLength<n&&i.modifiedStart+i.modifiedLength<r&&(!o||this.OriginalElementsAreEqual(i.originalStart,i.originalStart+i.originalLength))&&(!a||this.ModifiedElementsAreEqual(i.modifiedStart,i.modifiedStart+i.modifiedLength));)i.originalStart++,i.modifiedStart++;var h=[null];e<t.length-1&&this.ChangesOverlap(t[e],t[e+1],h)&&(t[e]=h[0],t.splice(e+1,1),e--)}for(var e=t.length-1;e>=0;e--){var i=t[e],n=0,r=0;if(e>0){var s=t[e-1];s.originalLength>0&&(n=s.originalStart+s.originalLength),s.modifiedLength>0&&(r=s.modifiedStart+s.modifiedLength)}for(var o=i.originalLength>0,a=i.modifiedLength>0,d=0,g=this._boundaryScore(i.originalStart,i.originalLength,i.modifiedStart,i.modifiedLength),f=1;;f++){var u=i.originalStart-f,l=i.modifiedStart-f;if(n>u||r>l)break;if(o&&!this.OriginalElementsAreEqual(u,u+i.originalLength))break;if(a&&!this.ModifiedElementsAreEqual(l,l+i.modifiedLength))break;var m=this._boundaryScore(u,i.originalLength,l,i.modifiedLength);m>g&&(g=m,d=f)}i.originalStart-=d,i.modifiedStart-=d}return t},t.prototype._OriginalIsBoundary=function(t){if(0>=t||t>=this.OriginalSequence.getLength()-1)return!0;var e=this.OriginalSequence.getElementAtIndex(t);return"string"==typeof e&&/^\s*$/.test(e)},t.prototype._OriginalRegionIsBoundary=function(t,e){if(this._OriginalIsBoundary(t)||this._OriginalIsBoundary(t-1))return!0;if(e>0){var i=t+e;if(this._OriginalIsBoundary(i-1)||this._OriginalIsBoundary(i))return!0}return!1},t.prototype._ModifiedIsBoundary=function(t){if(0>=t||t>=this.ModifiedSequence.getLength()-1)return!0;var e=this.ModifiedSequence.getElementAtIndex(t);return"string"==typeof e&&/^\s*$/.test(e)},t.prototype._ModifiedRegionIsBoundary=function(t,e){if(this._ModifiedIsBoundary(t)||this._ModifiedIsBoundary(t-1))return!0;if(e>0){var i=t+e;if(this._ModifiedIsBoundary(i-1)||this._ModifiedIsBoundary(i))return!0}return!1},t.prototype._boundaryScore=function(t,e,i,n){var r=this._OriginalRegionIsBoundary(t,e)?1:0,o=this._ModifiedRegionIsBoundary(i,n)?1:0;return r+o},t.prototype.ConcatenateChanges=function(t,e){var i=[];if(0===t.length||0===e.length)return e.length>0?e:t;if(this.ChangesOverlap(t[t.length-1],e[0],i)){var n=new Array(t.length+e.length-1);return a.Copy(t,0,n,0,t.length-1),n[t.length-1]=i[0],a.Copy(e,1,n,t.length,e.length-1),n}var n=new Array(t.length+e.length);return a.Copy(t,0,n,0,t.length),a.Copy(e,0,n,t.length,e.length),n},t.prototype.ChangesOverlap=function(t,e,i){if(o.Assert(t.originalStart<=e.originalStart,"Left change is not less than or equal to right change"),o.Assert(t.modifiedStart<=e.modifiedStart,"Left change is not less than or equal to right change"),t.originalStart+t.originalLength>=e.originalStart||t.modifiedStart+t.modifiedLength>=e.modifiedStart){var n=t.originalStart,a=t.originalLength,h=t.modifiedStart,s=t.modifiedLength;return t.originalStart+t.originalLength>=e.originalStart&&(a=e.originalStart+e.originalLength-t.originalStart),t.modifiedStart+t.modifiedLength>=e.modifiedStart&&(s=e.modifiedStart+e.modifiedLength-t.modifiedStart),i[0]=new r.DiffChange(n,a,h,s),!0}return i[0]=null,!1},t.prototype.ClipDiagonalBound=function(t,e,i,n){if(t>=0&&n>t)return t;var r=i,o=n-i-1,a=e%2===0;if(0>t){var h=r%2===0;return a===h?0:1}var s=o%2===0;return a===s?n-1:n-2},t}();e.LcsDiff=d});
/**! node_modules/monaco-editor/esm/vs/base/common/arrays.js*/
define("node_modules/monaco-editor/esm/vs/base/common/arrays",function(r,n){"use strict";function t(r,n){return void 0===n&&(n=0),r[r.length-(1+n)]}function e(r){if(0===r.length)throw new Error("Invalid tail call");return[r.slice(0,r.length-1),r[r.length-1]]}function i(r,n,t){if(void 0===t&&(t=function(r,n){return r===n}),r===n)return!0;if(!r||!n)return!1;if(r.length!==n.length)return!1;for(var e=0,i=r.length;i>e;e++)if(!t(r[e],n[e]))return!1;return!0}function u(r,n,t){for(var e=0,i=r.length-1;i>=e;){var u=(e+i)/2|0,f=t(r[u],n);if(0>f)e=u+1;else{if(!(f>0))return u;i=u-1}}return-(e+1)}function f(r,n){var t=0,e=r.length;if(0===e)return 0;for(;e>t;){var i=Math.floor((t+e)/2);n(r[i])?e=i:t=i+1}return t}function o(r,n){return c(r,n,0,r.length-1,[]),r}function a(r,n,t,e,i,u){for(var f=t,o=e+1,a=t;i>=a;a++)u[a]=r[a];for(var a=t;i>=a;a++)r[a]=f>e?u[o++]:o>i?u[f++]:n(u[o],u[f])<0?u[o++]:u[f++]}function c(r,n,t,e,i){if(!(t>=e)){var u=t+(e-t)/2|0;c(r,n,t,u,i),c(r,n,u+1,e,i),n(r[u],r[u+1])<=0||a(r,n,t,u,e,i)}}function l(r,n){for(var t=[],e=void 0,i=0,u=o(r.slice(0),n);i<u.length;i++){var f=u[i];e&&0===n(e[0],f)?e.push(f):(e=[f],t.push(e))}return t}function s(r){return r?r.filter(function(r){return!!r}):r}function v(r){return!Array.isArray(r)||0===r.length}function h(r){return Array.isArray(r)&&r.length>0}function d(r,n){if(!n)return r.filter(function(n,t){return r.indexOf(n)===t});var t=Object.create(null);return r.filter(function(r){var e=n(r);return t[e]?!1:(t[e]=!0,!0)})}function y(r){var n=new Set;return r.filter(function(r){return n.has(r)?!1:(n.add(r),!0)})}function g(r,n){for(var t=0;t<r.length;t++){var e=r[t];if(n(e))return t}return-1}function p(r,n,t){void 0===t&&(t=void 0);var e=g(r,n);return 0>e?t:r[e]}function m(r){var n;return(n=[]).concat.apply(n,r)}function A(r,n){var t="number"==typeof n?r:0;"number"==typeof n?t=r:(t=0,n=r);var e=[];if(n>=t)for(var i=t;n>i;i++)e.push(i);else for(var i=t;i>n;i--)e.push(i);return e}function b(r,n,t){var e=r.slice(0,n),i=r.slice(n);return e.concat(t,i)}function O(r,n){var t=r.indexOf(n);t>-1&&(r.splice(t,1),r.unshift(n))}function S(r,n){var t=r.indexOf(n);t>-1&&(r.splice(t,1),r.push(n))}function E(r){return Array.isArray(r)?r:[r]}Object.defineProperty(n,"__esModule",{value:!0}),n.tail=t,n.tail2=e,n.equals=i,n.binarySearch=u,n.findFirstInSorted=f,n.mergeSort=o,n.groupBy=l,n.coalesce=s,n.isFalsyOrEmpty=v,n.isNonEmptyArray=h,n.distinct=d,n.distinctES6=y,n.firstIndex=g,n.first=p,n.flatten=m,n.range=A,n.arrayInsert=b,n.pushToStart=O,n.pushToEnd=S,n.asArray=E});
/**! node_modules/monaco-editor/esm/vs/base/common/types.js*/
define("node_modules/monaco-editor/esm/vs/base/common/types",function(n,t){"use strict";function e(n){return Array.isArray?Array.isArray(n):n&&typeof n.length===m.number&&n.constructor===Array?!0:!1}function r(n){return typeof n===m.string||n instanceof String?!0:!1}function o(n){return!(typeof n!==m.object||null===n||Array.isArray(n)||n instanceof RegExp||n instanceof Date)}function i(n){return(typeof n===m.number||n instanceof Number)&&!isNaN(n)?!0:!1}function u(n){return n===!0||n===!1}function c(n){return typeof n===m.undefined}function f(n){return c(n)||null===n}function a(n){if(!o(n))return!1;for(var t in n)if(b.call(n,t))return!1;return!0}function s(n){return typeof n===m.function}function l(n,t){for(var e=Math.min(n.length,t.length),r=0;e>r;r++)d(n[r],t[r])}function d(n,t){if(r(t)){if(typeof n!==t)throw new Error("argument does not match constraint: typeof "+t)}else if(s(t)){try{if(n instanceof t)return}catch(e){}if(!f(n)&&n.constructor===t)return;if(1===t.length&&t.call(void 0,n)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}function y(n){for(var t=[],e=Object.getPrototypeOf(n);Object.prototype!==e;)t=t.concat(Object.getOwnPropertyNames(e)),e=Object.getPrototypeOf(e);return t}function p(n){return null===n?void 0:n}function g(n){return"undefined"==typeof n?null:n}Object.defineProperty(t,"__esModule",{value:!0});var m={number:"number",string:"string",undefined:"undefined",object:"object","function":"function"};t.isArray=e,t.isString=r,t.isObject=o,t.isNumber=i,t.isBoolean=u,t.isUndefined=c,t.isUndefinedOrNull=f;var b=Object.prototype.hasOwnProperty;t.isEmptyObject=a,t.isFunction=s,t.validateConstraints=l,t.validateConstraint=d,t.getAllPropertyNames=y,t.withNullAsUndefined=p,t.withUndefinedAsNull=g});
/**! node_modules/monaco-editor/esm/vs/base/common/platform.js*/
define("node_modules/monaco-editor/esm/vs/base/common/platform",function(e,o){"use strict";function i(e){return null===v&&(v=o.globals.setImmediate?o.globals.setImmediate.bind(o.globals):o.globals.setTimeout.bind(o.globals)),v(e)}Object.defineProperty(o,"__esModule",{value:!0});var a="en",s=!1,t=!1,n=!1,l=!1,d=!1,b=void 0,r=a,f=!1;if("object"!=typeof navigator||f);else{var g=navigator.userAgent;s=g.indexOf("Windows")>=0,t=g.indexOf("Macintosh")>=0,n=g.indexOf("Linux")>=0,d=!0,b=navigator.language,r=b}var u=0;l&&(t?u=1:s?u=3:n&&(u=2)),o.isWindows=s,o.isMacintosh=t,o.isLinux=n,o.isNative=l,o.isWeb=d;var m="object"==typeof self?self:"object"==typeof global?global:{};o.globals=m;var v=null;o.setImmediate=i,o.OS=t?2:s?1:3});
/**! node_modules/monaco-editor/esm/vs/base/common/lifecycle.js*/
define("node_modules/monaco-editor/esm/vs/base/common/lifecycle",function(e,s){"use strict";function o(e){return"function"==typeof e.dispose&&0===e.dispose.length}function i(e){for(var s=[],o=1;o<arguments.length;o++)s[o-1]=arguments[o];return Array.isArray(e)?(e.forEach(function(e){return e&&e.dispose()}),[]):0===s.length?e?(e.dispose(),e):void 0:(i(e),i(s),[])}function t(e){return{dispose:function(){return i(e)}}}function n(e){return{dispose:function(){e()}}}Object.defineProperty(s,"__esModule",{value:!0}),s.isDisposable=o,s.dispose=i,s.combinedDisposable=t,s.toDisposable=n;var r=function(){function e(){this._toDispose=[],this._lifecycle_disposable_isDisposed=!1}return e.prototype.dispose=function(){this._lifecycle_disposable_isDisposed=!0,this._toDispose=i(this._toDispose)},e.prototype._register=function(e){return this._lifecycle_disposable_isDisposed?(console.warn("Registering disposable on object that has already been disposed."),e.dispose()):this._toDispose.push(e),e},e.None=Object.freeze({dispose:function(){}}),e}();s.Disposable=r;var c=function(){function e(e){this.object=e}return e.prototype.dispose=function(){},e}();s.ImmortalReference=c});
/**! node_modules/monaco-editor/esm/vs/base/common/errors.js*/
define("node_modules/monaco-editor/esm/vs/base/common/errors",function(r,e){"use strict";function n(r){return void(a(r)||e.errorHandler.onUnexpectedError(r))}function t(r){return void(a(r)||e.errorHandler.onUnexpectedExternalError(r))}function o(r){if(r instanceof Error){var e=r.name,n=r.message,t=r.stacktrace||r.stack;return{$isError:!0,name:e,message:n,stack:t}}return r}function a(r){return r instanceof Error&&r.name===u&&r.message===u}function i(){var r=new Error(u);return r.name=r.message,r}function c(r){return new Error(r?"Illegal argument: "+r:"Illegal argument")}function s(r){return new Error(r?"Illegal state: "+r:"Illegal state")}Object.defineProperty(e,"__esModule",{value:!0});var l=function(){function r(){this.listeners=[],this.unexpectedErrorHandler=function(r){setTimeout(function(){if(r.stack)throw new Error(r.message+"\n\n"+r.stack);throw r},0)}}return r.prototype.emit=function(r){this.listeners.forEach(function(e){e(r)})},r.prototype.onUnexpectedError=function(r){this.unexpectedErrorHandler(r),this.emit(r)},r.prototype.onUnexpectedExternalError=function(r){this.unexpectedErrorHandler(r)},r}();e.ErrorHandler=l,e.errorHandler=new l,e.onUnexpectedError=n,e.onUnexpectedExternalError=t,e.transformErrorForSerialization=o;var u="Canceled";e.isPromiseCanceledError=a,e.canceled=i,e.illegalArgument=c,e.illegalState=s});
/**! node_modules/monaco-editor/esm/vs/editor/common/services/editorSimpleWorker.js*/
define("node_modules/monaco-editor/esm/vs/editor/common/services/editorSimpleWorker",function(e,t){"use strict";function n(){return new y(null)}Object.defineProperty(t,"__esModule",{value:!0});var o=this&&this.__extends||function(){var e=function(t,n){return(e=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])})(t,n)};return function(t,n){function o(){this.constructor=t}e(t,n),t.prototype=null===n?Object.create(n):(o.prototype=n.prototype,new o)}}(),r=e("node_modules/monaco-editor/esm/vs/base/common/arrays"),i=e("node_modules/monaco-editor/esm/vs/base/common/diff/diff"),s=e("node_modules/monaco-editor/esm/vs/base/common/iterator"),u=e("node_modules/monaco-editor/esm/vs/base/common/platform"),l=e("node_modules/monaco-editor/esm/vs/base/common/uri"),a=e("node_modules/monaco-editor/esm/vs/editor/common/core/position"),m=e("node_modules/monaco-editor/esm/vs/editor/common/core/range"),d=e("node_modules/monaco-editor/esm/vs/editor/common/diff/diffComputer"),c=e("node_modules/monaco-editor/esm/vs/editor/common/model/mirrorTextModel"),f=e("node_modules/monaco-editor/esm/vs/editor/common/model/wordHelper"),p=e("node_modules/monaco-editor/esm/vs/editor/common/modes/linkComputer"),g=e("node_modules/monaco-editor/esm/vs/editor/common/modes/supports/inplaceReplaceSupport"),h=e("node_modules/monaco-editor/esm/vs/editor/common/standalone/standaloneBase"),v=e("node_modules/monaco-editor/esm/vs/base/common/types"),_=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),Object.defineProperty(t.prototype,"uri",{get:function(){return this._uri},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"version",{get:function(){return this._versionId},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"eol",{get:function(){return this._eol},enumerable:!0,configurable:!0}),t.prototype.getValue=function(){return this.getText()},t.prototype.getLinesContent=function(){return this._lines.slice(0)},t.prototype.getLineCount=function(){return this._lines.length},t.prototype.getLineContent=function(e){return this._lines[e-1]},t.prototype.getWordAtPosition=function(e,t){var n=f.getWordAtText(e.column,f.ensureValidWordDefinition(t),this._lines[e.lineNumber-1],0);return n?new m.Range(e.lineNumber,n.startColumn,e.lineNumber,n.endColumn):null},t.prototype.getWordUntilPosition=function(e,t){var n=this.getWordAtPosition(e,t);return n?{word:this._lines[e.lineNumber-1].substring(n.startColumn-1,e.column-1),startColumn:n.startColumn,endColumn:e.column}:{word:"",startColumn:e.column,endColumn:e.column}},t.prototype.createWordIterator=function(e){var t,n,o=this,r=0,i=0,u=[],l=function(){if(i<u.length){var a=n.substring(u[i].start,u[i].end);return i+=1,t?t.value=a:t={done:!1,value:a},t}return r>=o._lines.length?s.FIN:(n=o._lines[r],u=o._wordenize(n,e),i=0,r+=1,l())};return{next:l}},t.prototype.getLineWords=function(e,t){for(var n=this._lines[e-1],o=this._wordenize(n,t),r=[],i=0,s=o;i<s.length;i++){var u=s[i];r.push({word:n.substring(u.start,u.end),startColumn:u.start+1,endColumn:u.end+1})}return r},t.prototype._wordenize=function(e,t){var n,o=[];for(t.lastIndex=0;(n=t.exec(e))&&0!==n[0].length;)o.push({start:n.index,end:n.index+n[0].length});return o},t.prototype.getValueInRange=function(e){if(e=this._validateRange(e),e.startLineNumber===e.endLineNumber)return this._lines[e.startLineNumber-1].substring(e.startColumn-1,e.endColumn-1);var t=this._eol,n=e.startLineNumber-1,o=e.endLineNumber-1,r=[];r.push(this._lines[n].substring(e.startColumn-1));for(var i=n+1;o>i;i++)r.push(this._lines[i]);return r.push(this._lines[o].substring(0,e.endColumn-1)),r.join(t)},t.prototype.offsetAt=function(e){return e=this._validatePosition(e),this._ensureLineStarts(),this._lineStarts.getAccumulatedValue(e.lineNumber-2)+(e.column-1)},t.prototype.positionAt=function(e){e=Math.floor(e),e=Math.max(0,e),this._ensureLineStarts();var t=this._lineStarts.getIndexOf(e),n=this._lines[t.index].length;return{lineNumber:1+t.index,column:1+Math.min(t.remainder,n)}},t.prototype._validateRange=function(e){var t=this._validatePosition({lineNumber:e.startLineNumber,column:e.startColumn}),n=this._validatePosition({lineNumber:e.endLineNumber,column:e.endColumn});return t.lineNumber!==e.startLineNumber||t.column!==e.startColumn||n.lineNumber!==e.endLineNumber||n.column!==e.endColumn?{startLineNumber:t.lineNumber,startColumn:t.column,endLineNumber:n.lineNumber,endColumn:n.column}:e},t.prototype._validatePosition=function(e){if(!a.Position.isIPosition(e))throw new Error("bad position");var t=e.lineNumber,n=e.column,o=!1;if(1>t)t=1,n=1,o=!0;else if(t>this._lines.length)t=this._lines.length,n=this._lines[t-1].length+1,o=!0;else{var r=this._lines[t-1].length+1;1>n?(n=1,o=!0):n>r&&(n=r,o=!0)}return o?{lineNumber:t,column:n}:e},t}(c.MirrorTextModel),b=function(){function e(e){this._foreignModuleFactory=e,this._foreignModule=null}return e.prototype.computeDiff=function(e,t,n){var o=this._getModel(e),r=this._getModel(t);if(!o||!r)return Promise.resolve(null);var i=o.getLinesContent(),s=r.getLinesContent(),u=new d.DiffComputer(i,s,{shouldComputeCharChanges:!0,shouldPostProcessCharChanges:!0,shouldIgnoreTrimWhitespace:n,shouldMakePrettyDiff:!0}),l=u.computeDiff(),a=l.length>0?!1:this._modelsAreIdentical(o,r);return Promise.resolve({identical:a,changes:l})},e.prototype._modelsAreIdentical=function(e,t){var n=e.getLineCount(),o=t.getLineCount();if(n!==o)return!1;for(var r=1;n>=r;r++){var i=e.getLineContent(r),s=t.getLineContent(r);if(i!==s)return!1}return!0},e.prototype.computeMoreMinimalEdits=function(t,n){var o=this._getModel(t);if(!o)return Promise.resolve(n);var s=[],u=void 0;n=r.mergeSort(n,function(e,t){if(e.range&&t.range)return m.Range.compareRangesUsingStarts(e.range,t.range);var n=e.range?0:1,o=t.range?0:1;return n-o});for(var l=0,a=n;l<a.length;l++){var d=a[l],c=d.range,f=d.text,p=d.eol;if("number"==typeof p&&(u=p),!m.Range.isEmpty(c)||f){var g=o.getValueInRange(c);if(f=f.replace(/\r\n|\n|\r/g,o.eol),g!==f)if(Math.max(f.length,g.length)>e._diffLimit)s.push({range:c,text:f});else for(var h=i.stringDiff(g,f,!1),v=o.offsetAt(m.Range.lift(c).getStartPosition()),_=0,b=h;_<b.length;_++){var y=b[_],C=o.positionAt(v+y.originalStart),N=o.positionAt(v+y.originalStart+y.originalLength),L={text:f.substr(y.modifiedStart,y.modifiedLength),range:{startLineNumber:C.lineNumber,startColumn:C.column,endLineNumber:N.lineNumber,endColumn:N.column}};o.getValueInRange(L.range)!==L.text&&s.push(L)}}}return"number"==typeof u&&s.push({eol:u,text:"",range:{startLineNumber:0,startColumn:0,endLineNumber:0,endColumn:0}}),Promise.resolve(s)},e.prototype.computeLinks=function(e){var t=this._getModel(e);return Promise.resolve(t?p.computeLinks(t):null)},e.prototype.textualSuggest=function(t,n,o,r){var i=this._getModel(t);if(!i)return Promise.resolve(null);var s=Object.create(null),u=[],l=new RegExp(o,r),a=i.getWordUntilPosition(n,l),m=i.getWordAtPosition(n,l);m&&(s[i.getValueInRange(m)]=!0);for(var d=i.createWordIterator(l),c=d.next();!c.done&&u.length<=e._suggestionsLimit;c=d.next()){var f=c.value;s[f]||(s[f]=!0,isNaN(Number(f))&&u.push({kind:18,label:f,insertText:f,range:{startLineNumber:n.lineNumber,startColumn:a.startColumn,endLineNumber:n.lineNumber,endColumn:a.endColumn}}))}return Promise.resolve({suggestions:u})},e.prototype.computeWordRanges=function(e,t,n,o){var r=this._getModel(e);if(!r)return Promise.resolve(Object.create(null));for(var i=new RegExp(n,o),s=Object.create(null),u=t.startLineNumber;u<t.endLineNumber;u++)for(var l=r.getLineWords(u,i),a=0,m=l;a<m.length;a++){var d=m[a];if(isNaN(Number(d.word))){var c=s[d.word];c||(c=[],s[d.word]=c),c.push({startLineNumber:u,startColumn:d.startColumn,endLineNumber:u,endColumn:d.endColumn})}}return Promise.resolve(s)},e.prototype.navigateValueSet=function(e,t,n,o,r){var i=this._getModel(e);if(!i)return Promise.resolve(null);var s=new RegExp(o,r);t.startColumn===t.endColumn&&(t={startLineNumber:t.startLineNumber,startColumn:t.startColumn,endLineNumber:t.endLineNumber,endColumn:t.endColumn+1});var u=i.getValueInRange(t),l=i.getWordAtPosition({lineNumber:t.startLineNumber,column:t.startColumn},s);if(!l)return Promise.resolve(null);var a=i.getValueInRange(l),m=g.BasicInplaceReplace.INSTANCE.navigateValueSet(t,u,l,a,n);return Promise.resolve(m)},e.prototype.loadForeignModule=function(e,t){var n=this,o={getMirrorModels:function(){return n._getModels()}};if(this._foreignModuleFactory){this._foreignModule=this._foreignModuleFactory(o,t);for(var r=[],i=0,s=v.getAllPropertyNames(this._foreignModule);i<s.length;i++){var u=s[i];"function"==typeof this._foreignModule[u]&&r.push(u)}return Promise.resolve(r)}return Promise.reject(new Error("Unexpected usage"))},e.prototype.fmr=function(e,t){if(!this._foreignModule||"function"!=typeof this._foreignModule[e])return Promise.reject(new Error("Missing requestHandler or method: "+e));try{return Promise.resolve(this._foreignModule[e].apply(this._foreignModule,t))}catch(n){return Promise.reject(n)}},e._diffLimit=1e5,e._suggestionsLimit=1e4,e}();t.BaseEditorSimpleWorker=b;var y=function(e){function t(t){var n=e.call(this,t)||this;return n._models=Object.create(null),n}return o(t,e),t.prototype.dispose=function(){this._models=Object.create(null)},t.prototype._getModel=function(e){return this._models[e]},t.prototype._getModels=function(){var e=this,t=[];return Object.keys(this._models).forEach(function(n){return t.push(e._models[n])}),t},t.prototype.acceptNewModel=function(e){this._models[e.url]=new _(l.URI.parse(e.url),e.lines,e.EOL,e.versionId)},t.prototype.acceptModelChanged=function(e,t){if(this._models[e]){var n=this._models[e];n.onEvents(t)}},t.prototype.acceptRemovedModel=function(e){this._models[e]&&delete this._models[e]},t}(b);t.EditorSimpleWorkerImpl=y,t.create=n,"function"==typeof importScripts&&(u.globals.monaco=h.createMonacoBaseAPI())});
/**! node_modules/monaco-editor/esm/vs/base/common/worker/simpleWorker.js*/
define("node_modules/monaco-editor/esm/vs/base/common/worker/simpleWorker",function(e,r){"use strict";function o(e){a.isWeb&&(c||(c=!0,console.warn("Could not create web worker(s). Falling back to loading web worker code in main thread, which might cause UI freezes. Please see https://github.com/Microsoft/monaco-editor#faq")),console.warn(e.message))}function t(e){return new p(e,null)}Object.defineProperty(r,"__esModule",{value:!0});var n=this&&this.__extends||function(){var e=function(r,o){return(e=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,r){e.__proto__=r}||function(e,r){for(var o in r)r.hasOwnProperty(o)&&(e[o]=r[o])})(r,o)};return function(r,o){function t(){this.constructor=r}e(r,o),r.prototype=null===o?Object.create(o):(t.prototype=o.prototype,new t)}}(),s=e("node_modules/monaco-editor/esm/vs/base/common/errors"),i=e("node_modules/monaco-editor/esm/vs/base/common/lifecycle"),a=e("node_modules/monaco-editor/esm/vs/base/common/platform"),u=e("node_modules/monaco-editor/esm/vs/base/common/types"),l="$initialize",c=!1;r.logOnceWebWorkerWarning=o;var d=function(){function e(e){this._workerId=-1,this._handler=e,this._lastSentReq=0,this._pendingReplies=Object.create(null)}return e.prototype.setWorkerId=function(e){this._workerId=e},e.prototype.sendMessage=function(e,r){var o=this,t=String(++this._lastSentReq);return new Promise(function(n,s){o._pendingReplies[t]={resolve:n,reject:s},o._send({vsWorker:o._workerId,req:t,method:e,args:r})})},e.prototype.handleMessage=function(e){var r;try{r=JSON.parse(e)}catch(o){return}r&&r.vsWorker&&(-1===this._workerId||r.vsWorker===this._workerId)&&this._handleMessage(r)},e.prototype._handleMessage=function(e){var r=this;if(e.seq){var o=e;if(!this._pendingReplies[o.seq])return void console.warn("Got reply to unknown seq");var t=this._pendingReplies[o.seq];if(delete this._pendingReplies[o.seq],o.err){var n=o.err;return o.err.$isError&&(n=new Error,n.name=o.err.name,n.message=o.err.message,n.stack=o.err.stack),void t.reject(n)}return void t.resolve(o.res)}var i=e,a=i.req,u=this._handler.handleMessage(i.method,i.args);u.then(function(e){r._send({vsWorker:r._workerId,seq:a,res:e,err:void 0})},function(e){e.detail instanceof Error&&(e.detail=s.transformErrorForSerialization(e.detail)),r._send({vsWorker:r._workerId,seq:a,res:void 0,err:s.transformErrorForSerialization(e)})})},e.prototype._send=function(e){var r=JSON.stringify(e);this._handler.sendMessage(r)},e}(),f=function(e){function r(r,o){var t=e.call(this)||this,n=null;t._worker=t._register(r.create("vs/base/common/worker/simpleWorker",function(e){t._protocol.handleMessage(e)},function(e){n&&n(e)})),t._protocol=new d({sendMessage:function(e){t._worker.postMessage(e)},handleMessage:function(){return Promise.resolve(null)}}),t._protocol.setWorkerId(t._worker.getId());var s=null;"undefined"!=typeof self.require&&"function"==typeof self.require.getConfig?s=self.require.getConfig():"undefined"!=typeof self.requirejs&&(s=self.requirejs.s.contexts._.config),t._onModuleLoaded=t._protocol.sendMessage(l,[t._worker.getId(),o,s]),t._lazyProxy=new Promise(function(e,r){n=r,t._onModuleLoaded.then(function(r){for(var o={},t=0,n=r;t<n.length;t++){var s=n[t];o[s]=a(s,i)}e(o)},function(e){r(e),t._onError("Worker failed to load "+o,e)})});var i=function(e,r){return t._request(e,r)},a=function(e,r){return function(){var o=Array.prototype.slice.call(arguments,0);return r(e,o)}};return t}return n(r,e),r.prototype.getProxyObject=function(){return this._lazyProxy},r.prototype._request=function(e,r){var o=this;return new Promise(function(t,n){o._onModuleLoaded.then(function(){o._protocol.sendMessage(e,r).then(t,n)},n)})},r.prototype._onError=function(e,r){console.error(e),console.info(r)},r}(i.Disposable);r.SimpleWorkerClient=f;var p=function(){function e(e,r){var o=this;this._requestHandler=r,this._protocol=new d({sendMessage:function(r){e(r)},handleMessage:function(e,r){return o._handleMessage(e,r)}})}return e.prototype.onmessage=function(e){this._protocol.handleMessage(e)},e.prototype._handleMessage=function(e,r){if(e===l)return this.initialize(r[0],r[1],r[2]);if(!this._requestHandler||"function"!=typeof this._requestHandler[e])return Promise.reject(new Error("Missing requestHandler or method: "+e));try{return Promise.resolve(this._requestHandler[e].apply(this._requestHandler,r))}catch(o){return Promise.reject(o)}},e.prototype.initialize=function(e,r,o){var t=this;if(this._protocol.setWorkerId(e),this._requestHandler){for(var n=[],s=0,i=u.getAllPropertyNames(this._requestHandler);s<i.length;s++){var a=i[s];"function"==typeof this._requestHandler[a]&&n.push(a)}return Promise.resolve(n)}return o&&("undefined"!=typeof o.baseUrl&&delete o.baseUrl,"undefined"!=typeof o.paths&&"undefined"!=typeof o.paths.vs&&delete o.paths.vs,o.catchError=!0,self.require.config(o)),new Promise(function(e,o){self.require([r],function(){for(var r=[],n=0;n<arguments.length;n++)r[n]=arguments[n];var s=r[0];if(t._requestHandler=s.create(),!t._requestHandler)return void o(new Error("No RequestHandler!"));for(var i=[],a=0,l=u.getAllPropertyNames(t._requestHandler);a<l.length;a++){var c=l[a];"function"==typeof t._requestHandler[c]&&i.push(c)}e(i)},o)})},e}();r.SimpleWorkerServer=p,r.create=t});
/**! node_modules/monaco-editor/esm/vs/editor/editor.worker.js*/
define("node_modules/monaco-editor/esm/vs/editor/editor.worker",function(e,o){"use strict";function r(e){if(!i){i=!0;var o=new n.EditorSimpleWorkerImpl(e),r=new s.SimpleWorkerServer(function(e){self.postMessage(e)},o);self.onmessage=function(e){r.onmessage(e.data)}}}Object.defineProperty(o,"__esModule",{value:!0});var s=e("node_modules/monaco-editor/esm/vs/base/common/worker/simpleWorker"),n=e("node_modules/monaco-editor/esm/vs/editor/common/services/editorSimpleWorker"),i=!1;o.initialize=r,self.onmessage=function(){i||r(null)}});
require('node_modules/monaco-editor/esm/vs/editor/editor.worker')